Index: /extensions/piclens/language/tr_TR/description.txt
===================================================================
--- /extensions/piclens/language/tr_TR/description.txt	(revision 18765)
+++ /extensions/piclens/language/tr_TR/description.txt	(revision 18765)
@@ -0,0 +1,1 @@
+Piwigo galerisinde Cooliris/Piclens (+3D wall) etkinleştirir
Index: /extensions/piclens/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/piclens/language/tr_TR/plugin.lang.php	(revision 18765)
+++ /extensions/piclens/language/tr_TR/plugin.lang.php	(revision 18765)
@@ -0,0 +1,72 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['piclens_bestrated_label'] = 'Ençok izlenen';
+$lang['piclens_label_Name1'] = 'Küçükresim adı:büyüklüğü';
+$lang['piclens_label_Name2'] = 'Küçükresim adı';
+$lang['piclens_label_Name3'] = 'Resim adı';
+$lang['piclens_label_Name4'] = 'Hiçbirşey';
+$lang['piclens_label_TypeHigh'] = 'Yüksek';
+$lang['piclens_label_TypeNorm'] = 'Normal';
+$lang['piclens_label_TypeTN'] = 'Küçükresim';
+$lang['piclens_config_tab'] = 'Yapılandırma';
+$lang['piclens_favorites_label'] = 'Favorilerim';
+$lang['piclens_cfg_otherplugins_title'] = 'Diğer yüklü eklentiler ile uyumluluk';
+$lang['piclens_button'] = 'Slayt gösterisi izle';
+$lang['piclens_admin_title'] = 'Cooliris/Piclens Eklenti Yapılandırması';
+$lang['piclens_admin_saveOK2'] = 'crossdomain.xml dosyası sitenin kök dizinine uygun biçimde kaydedildi';
+$lang['piclens_admin_savefileWN'] = 'Varolan yapılandırma dosyası (%s) silindi';
+$lang['piclens_admin_savefileOK'] = 'Parametreler yapılandırma dosyasına (%s) kaydedildi';
+$lang['piclens_cat_legend'] = 'Kategori';
+$lang['piclens_admin_submit'] = 'Kaydet';
+$lang['piclens_admin_savefile'] = 'Parametreleri dosyaya kaydet';
+$lang['piclens_admin_saveOK'] = 'Coloris-Piclens Yapılandırması Kaydedildi';
+$lang['piclens_admin_saveERR4'] = 'PWG Stuff yüklendiği için Coloris 3DWall kapatıldı';
+$lang['piclens_admin_saveERR3'] = 'crossdomain.xml dosyası zaten mevcut';
+$lang['piclens_admin_saveERR2'] = 'Dosya kopyalama hatası';
+$lang['piclens_admin_saveERR1'] = 'crossdomain.xml dosyası bulunamadı';
+$lang['piclens_admin_restoreOK'] = 'Yapılandırma dosyası (%s) içindeki parametreler veri tabanına kaydedildi';
+$lang['piclens_3dwallconfig2_tab'] = 'Gelişmiş 3DWall yapılandırması';
+$lang['piclens_3dwallconfig_tab'] = 'PiclensWall Yapılandırması';
+$lang['piclens_admin_restore'] = 'Parametreleri dosyadan düzelt';
+$lang['piclens_admin_restoreKO'] = 'Yapılandırma Dosyası (%s) kayıp';
+$lang['img_URLNormalFull_legend'] = 'Resim URL (Tam)';
+$lang['img_URLNormal_legend'] = 'Resim URL (Galeriden)';
+$lang['img_URLPicturephp_legend'] = 'Resim sayfası bağlantısı (picture.php)';
+$lang['img_URLThumbFull_legend'] = 'Küçükresim URL (Tam)';
+$lang['img_URLThumb_legend'] = 'Küçükresim URL (Galeriden)';
+$lang['img_author_legend'] = 'Resim Sahibi';
+$lang['img_comment_legend'] = 'Son yorumlar';
+$lang['img_description_legend'] = 'Resim Açıklaması';
+$lang['img_filename_legend'] = 'Resim dosya adı';
+$lang['img_id_legend'] = 'Resim kimliği (ID)';
+$lang['img_name_legend'] = 'Resim Adı';
+$lang['NonSelectedCat'] = 'Kategoriler seçilmedi';
+$lang['SelectedCat'] = 'Seçili Kategoriler';
+$lang['cat_description_legend'] = 'Kategori açıklaması';
+$lang['cat_dirFull_legend'] = 'Kategori yolu (Tam)';
+$lang['cat_dir_legend'] = 'Kategori yolu (Galeriden)';
+$lang['cat_id_legend'] = 'Ktegori tanımı (ID)';
+$lang['cat_name_legend'] = 'Kategori ismi';
+$lang['img_URLHighFull_legend'] = 'HD Resim URL (Tam)';
+$lang['img_URLHigh_legend'] = 'HD Resim URL (Galeriden)';
+?>