Index: extensions/UserAdvManager/branches/2.41/admin/template/ghosttracker.tpl
===================================================================
--- extensions/UserAdvManager/branches/2.41/admin/template/ghosttracker.tpl	(revision 18799)
+++ extensions/UserAdvManager/branches/2.41/admin/template/ghosttracker.tpl	(revision 18800)
@@ -60,11 +60,11 @@
               <td style="text-align:center;"><a href="./admin.php?page=profile&amp;user_id={$user.ID}" title="{'Profile'|@translate}" onclick="window.open(this.href); return false;"><img src="{$UAM_PATH}admin/template/icon/edit_s.png"></a></td>
               <td>{$user.EMAIL}</td>
-{if $user.REMINDER == l10n('UAM_Reminder_Sent_NOK')}
+            {if $user.REMINDER == l10n('UAM_Reminder_Sent_NOK')}
               <td style="color:orange;text-align:center;">{$user.LASTVISIT}</td>
               <td style="color:orange;text-align:center;">{$user.REMINDER}</td>
-{else $user.REMINDER == l10n('UAM_Reminder_Sent_OK')}
+            {else $user.REMINDER == l10n('UAM_Reminder_Sent_OK')}
               <td style="color:red;text-align:center;">{$user.LASTVISIT}</td>
               <td style="color:red;text-align:center;">{$user.REMINDER}</td>
-{/if}
+            {/if}
               {foreach from=$user.plugin_columns item=data}
                 <td>{$data}</td>
@@ -74,35 +74,37 @@
         </tbody>
       </table>
-<div id="pager" class="pager">
-	<form>
-		<img src="{$UAM_PATH}admin/template/icon/first.png" class="first">
-		<img src="{$UAM_PATH}admin/template/icon/prev.png" class="prev">
-		<input type="text" class="pagedisplay">
-		<img src="{$UAM_PATH}admin/template/icon/next.png" class="next">
-		<img src="{$UAM_PATH}admin/template/icon/last.png" class="last">
-		<select class="pagesize">
-			<option  value="10">10</option>
-			<option selected="selected" value="20">20</option>
-			<option value="30">30</option>
-			<option value="40">40</option>
-		</select>
-	</form>
-</div>
-        <br>
-<p>
-  {'target'|@translate}
-  <label><input type="radio" name="target" value="all" > {'all'|@translate}</label>
-  <label><input type="radio" name="target" value="selection" checked="checked" > {'selection'|@translate}</label>
-</p>
+      <div id="pager" class="pager">
+      <form>
+        <img src="{$UAM_PATH}admin/template/icon/first.png" class="first">
+        <img src="{$UAM_PATH}admin/template/icon/prev.png" class="prev">
+        <input type="text" class="pagedisplay">
+        <img src="{$UAM_PATH}admin/template/icon/next.png" class="next">
+        <img src="{$UAM_PATH}admin/template/icon/last.png" class="last">
+        <select class="pagesize">
+          <option  value="10">10</option>
+          <option selected="selected" value="20">20</option>
+          <option value="30">30</option>
+          <option value="40">40</option>
+        </select>
+      </form>
+      </div>
+      <br>
+      <fieldset>
+      <p>
+        {'target'|@translate}
+        <label><input type="radio" name="target" value="all" > {'all'|@translate}</label>
+        <label><input type="radio" name="target" value="selection" checked="checked" > {'selection'|@translate}</label>
+      </p>
 
-<p>
-  <input class="submit" type="submit" value="{'UAM_Delete_selected'|@translate}" name="Del_Selected" >
-  <input class="submit" type="submit" value="{'UAM_Reminder'|@translate}" name="Reminder_Email" >
-</p>
+      <p>
+        <input class="submit" type="submit" value="{'UAM_Delete_selected'|@translate}" name="Del_Selected" >
+        <input class="submit" type="submit" value="{'UAM_Reminder'|@translate}" name="Reminder_Email" >
+      </p>
+      </fieldset>
   </fieldset>
-		{else}
-		<div>
-			{'UAM_No_Ghosts'|@translate}
-		</div>
+    {else}
+		  <div>
+			 {'UAM_No_Ghosts'|@translate}
+		  </div>
 		{/if}
 </form>
Index: extensions/UserAdvManager/branches/2.41/admin/template/global.tpl
===================================================================
--- extensions/UserAdvManager/branches/2.41/admin/template/global.tpl	(revision 18799)
+++ extensions/UserAdvManager/branches/2.41/admin/template/global.tpl	(revision 18800)
@@ -55,4 +55,10 @@
   jQuery("#UAM_Mail_Info_false").click(function() {
     jQuery("#UAM_MAIL_INFO").hide("slow");
+  });
+  jQuery("#UAM_CustomPasswRetr_true").click(function() {
+    jQuery("#UAM_CustomPasswRetr").show("slow");
+  });
+  jQuery("#UAM_CustomPasswRetr_false").click(function() {
+    jQuery("#UAM_CustomPasswRetr").hide("slow");
   });
  
@@ -882,6 +888,7 @@
               {'UAM_Enable'|@translate}
 </label>
-            <textarea class="uam_textfields" name="UAM_CustomPasswRetr_Text" id="UAM_CustomPasswRetr_Text" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_CUSTOMPASSWRETR_TEXT}</textarea>
-          
+            <fieldset id="UAM_CustomPasswRetr" {if $UAM_CUSTOMPASSWRETR_FALSE}style="display:none"{/if}>
+              <textarea class="uam_textfields" name="UAM_CustomPasswRetr_Text" id="UAM_CustomPasswRetr_Text" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_CUSTOMPASSWRETR_TEXT}</textarea>
+            </fieldset>
           </li>
         </ul>
Index: extensions/UserAdvManager/branches/2.41/admin/template/usermanager.tpl
===================================================================
--- extensions/UserAdvManager/branches/2.41/admin/template/usermanager.tpl	(revision 18799)
+++ extensions/UserAdvManager/branches/2.41/admin/template/usermanager.tpl	(revision 18800)
@@ -68,46 +68,47 @@
       </tbody>
       </table>
-{if !empty($users)}
-<div id="pager" class="pager">
-	<form>
-		<img src="{$UAM_PATH}admin/template/icon/first.png" class="first">
-		<img src="{$UAM_PATH}admin/template/icon/prev.png" class="prev">
-		<input type="text" class="pagedisplay">
-		<img src="{$UAM_PATH}admin/template/icon/next.png" class="next">
-		<img src="{$UAM_PATH}admin/template/icon/last.png" class="last">
-		<select class="pagesize">
-			<option  value="10">10</option>
-			<option selected="selected" value="20">20</option>
-			<option value="30">30</option>
-			<option value="40">40</option>
-		</select>
-	</form>
-</div>
-{/if}
+      {if !empty($users)}
+        <div id="pager" class="pager">
+          <form>
+            <img src="{$UAM_PATH}admin/template/icon/first.png" class="first">
+            <img src="{$UAM_PATH}admin/template/icon/prev.png" class="prev">
+            <input type="text" class="pagedisplay">
+            <img src="{$UAM_PATH}admin/template/icon/next.png" class="next">
+            <img src="{$UAM_PATH}admin/template/icon/last.png" class="last">
+            <select class="pagesize">
+              <option  value="10">10</option>
+              <option selected="selected" value="20">20</option>
+              <option value="30">30</option>
+              <option value="40">40</option>
+            </select>
+          </form>
+        </div>
+      {/if}
     	<br>
+      <fieldset>
+        <p>
+          {'target'|@translate}
+          <label><input type="radio" name="target" value="all" > {'all'|@translate}</label>
+          <label><input type="radio" name="target" value="selection" checked="checked" > {'selection'|@translate}</label>
+        </p>
 
-<p>
-  {'target'|@translate}
-  <label><input type="radio" name="target" value="all" > {'all'|@translate}</label>
-  <label><input type="radio" name="target" value="selection" checked="checked" > {'selection'|@translate}</label>
-</p>
-
-<p>
-{if $CONFIRM_LOCAL == "local"}
-  <input class="submit" type="submit" value="{'UAM_Delete_selected'|@translate}" name="Del_Selected">
-  <input class="submit" type="submit" value="{'UAM_Manual_Validation'|@translate}" name="Manual_Validation">
-{else}
-  <input class="submit" type="submit" value="{'UAM_Delete_selected'|@translate}" name="Del_Selected">
-  <input class="submit" type="submit" value="{'UAM_Mail_without_key'|@translate}" name="Mail_Without_Key">
-  <input class="submit" type="submit" value="{'UAM_Mail_with_key'|@translate}" name="Mail_With_Key">
-  <input class="submit" type="submit" value="{'UAM_Manual_Validation'|@translate}" name="Manual_Validation">
-{/if}
-</p>
+        <p>
+        {if $CONFIRM_LOCAL == "local"}
+          <input class="submit" type="submit" value="{'UAM_Delete_selected'|@translate}" name="Del_Selected">
+          <input class="submit" type="submit" value="{'UAM_Manual_Validation'|@translate}" name="Manual_Validation">
+        {else}
+          <input class="submit" type="submit" value="{'UAM_Delete_selected'|@translate}" name="Del_Selected">
+          <input class="submit" type="submit" value="{'UAM_Mail_without_key'|@translate}" name="Mail_Without_Key">
+          <input class="submit" type="submit" value="{'UAM_Mail_with_key'|@translate}" name="Mail_With_Key">
+          <input class="submit" type="submit" value="{'UAM_Manual_Validation'|@translate}" name="Manual_Validation">
+        {/if}
+        </p>
+      </fieldset>
   </fieldset>
-		{else}
-		<div>
-			{'UAM_No_Usermanager'|@translate}
-		</div>
-		{/if}
+    {else}
+      <div>
+        {'UAM_No_Usermanager'|@translate}
+		  </div>
+    {/if}
 </form>
 
Index: extensions/UserAdvManager/branches/2.41/changelog.txt.php
===================================================================
--- extensions/UserAdvManager/branches/2.41/changelog.txt.php	(revision 18799)
+++ extensions/UserAdvManager/branches/2.41/changelog.txt.php	(revision 18800)
@@ -340,5 +340,7 @@
             Update it_IT, thanks to : Ericnet and virgigiole
 
--- 2.41.0 : Bug 2744 fixed - User connexion rejection does not work if no group/status/privacy is set
+-- 2.41.0 : Bug 2741 fixed - User connexion rejection was not working if $conf['guest_access'] = false
+            Bug 2744 fixed - User connexion rejection does not work if no group/status/privacy is set
+            Feature 2745 - Send an email to admins with a link to validate new registered users 
             Bug 2749 fixed - regex meta-characters are usable in character exclusion in usernames
             New unvalidated user controls are more efficient
@@ -351,5 +353,9 @@
             Update de_DE, thanks to : Yogie
             Update it_IT, thanks to : salvatore
-            
+
+-- 2.41.1 : Small admin panel upgrade
+            Update lv_LV, thanks to : agrisans
+            Add da_DK, thanks to : Kaare
+
 */
 ?>
Index: extensions/UserAdvManager/branches/2.41/language/el_GR/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/branches/2.41/language/el_GR/plugin.lang.php	(revision 18799)
+++ extensions/UserAdvManager/branches/2.41/language/el_GR/plugin.lang.php	(revision 18800)
@@ -333,3 +333,5 @@
 $lang['UAM_Subject admin validation for %s'] = 'Η καταχώρηση των %s αναμένει επικύρωση';
 $lang['UAM_Manual_validation_needed_for %s'] = 'Ο χρήστης % καταχωρήθηκε και περιμένει χειροκίνητη επικύρωση από τον διαχειριστή';
+$lang['UAM_Customize_messagesandmails'] = 'Προσαρμόστε τα μηνύματα και τα e-mails';
+$lang['UAM_Change'] = 'Αλλάξτε την Ομάδα / Status / Επίπεδο προστασίας των χρηστών που έχουν επιβεβαιωθεί';
 ?>
Index: extensions/UserAdvManager/branches/2.41/language/es_ES/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/branches/2.41/language/es_ES/plugin.lang.php	(revision 18799)
+++ extensions/UserAdvManager/branches/2.41/language/es_ES/plugin.lang.php	(revision 18800)
@@ -392,3 +392,5 @@
 $lang['UAM_Manual_validation_needed_for %s'] = 'El usuario %s se ha registrado y espera para la validación manual por un administrador.';
 $lang['UAM_Subject admin validation for %s'] = 'El registro de %s espera para la validación';
+$lang['UAM_Change'] = 'Change the Group/Status/Privacy Level of the users who have been confirmed';
+$lang['UAM_Customize_messagesandmails'] = 'Personalizar los mensajes y correos';
 ?>
Index: extensions/UserAdvManager/branches/2.41/language/it_IT/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/branches/2.41/language/it_IT/plugin.lang.php	(revision 18799)
+++ extensions/UserAdvManager/branches/2.41/language/it_IT/plugin.lang.php	(revision 18800)
@@ -404,3 +404,5 @@
 $lang['UAM_Manual_validation_needed_for %s'] = 'L\'utente %s si è registrato ed è in attesa dell\'approvazione manuale da parte dell\'amministratore.';
 $lang['UAM_Subject admin validation for %s'] = 'La registrazione di %s è in attesa di approvazione';
+$lang['UAM_Change'] = 'Cambia il Gruppo/Stato/Livello di Privacy degli utenti che sono stati confermati.';
+$lang['UAM_Customize_messagesandmails'] = 'Personalizza i messaggi e le email';
 ?>
Index: extensions/UserAdvManager/branches/2.41/language/lv_LV/help.lang.php
===================================================================
--- extensions/UserAdvManager/branches/2.41/language/lv_LV/help.lang.php	(revision 18799)
+++ extensions/UserAdvManager/branches/2.41/language/lv_LV/help.lang.php	(revision 18800)
@@ -182,3 +182,19 @@
 <br><br>
 Lai lietotu vairākas valodas, ja aktivēts, varat izmantot Paplašinātā apraksta spraudņa tegus.';
+$lang['UAM_ConfirmMail_Subject_d'] = 'Ievadiet šeit savu pielāgoto reģistrācijas apstiprinājuma pasta tēmu. <br>
+Pēc noklusējuma lauks ir vispārējs tekstu angļu valodā, bet to var mainīt un izmantot Paplašinātā Apraksta spraudņa tulkošanas tagus [lang =?], ja uzstādīti.
+<br><br>
+Neizmantojot Paplašinātā Apraksta spraudņa iespējas, pieejami sekojoši papildu pielāgošanas tagi: <br>
+- <b style=&quot;color: red;&quot;>[username]</b> lai automātiski ievietotu e-pasta gala lietotāja vārdu.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> lai ievietotu jūsu galerijas nosaukumu.<br>';
+$lang['UAM_confirmmail_custom1_d'] = 'Kad opcija &quot;Reģistrācijas apstiprināšana&quot; ir aktīva, šis lauks ļauj jums pielāgot <b><u>akceptēšanas tekstu</u></b> reģistrēšanas apstiprināšanas lapā, kas parādās, kad lietotājs uzklikšķina uz pa e-pastā saņemto apstiprināšanas saiti.
+<br><br>
+Pēc spraudņa instalēšanas, standarta teksts tiek iestatīts kā paraugs.
+<br><br>
+Tālāk pielāgojiet saturu ar speciālo tagu-iezīmju palīdzību:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> lai automātiski ievietotu atbilstošo lietotāja vārdu.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> lai ievietotu jūsu galerijas nosaukumu.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> lai ievietotu jūsu galerijas URL, ja tas iestatīts Piwigo konfigurācijas opcijās.
+<br><br>
+Šis lauks savietojams ar FCK Redaktoru un, ja lietojat daudzvalodu variantu, ja tas aktīvs, varat izmantot Paplašinātā apraksta spraudņa [lang] tagus.';
 ?>
Index: extensions/UserAdvManager/branches/2.41/language/lv_LV/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/branches/2.41/language/lv_LV/plugin.lang.php	(revision 18799)
+++ extensions/UserAdvManager/branches/2.41/language/lv_LV/plugin.lang.php	(revision 18800)
@@ -388,3 +388,5 @@
 $lang['UAM_Manual_validation_needed_for %s'] = 'Lietotājs %s ir reģistrējies un gaida administratora apstiprinājumu. ';
 $lang['UAM_Subject admin validation for %s'] = '%s reģistrācija gaida apstiprinājumu';
+$lang['UAM_Change'] = 'Izmainīt apstiprināto lietotāju Grupas/Statuss/Konfidencialitāte Līmeni';
+$lang['UAM_Customize_messagesandmails'] = 'Pielāgojiet ziņojumus un pastu';
 ?>