Index: extensions/Wood/fix-ie7.css
===================================================================
--- extensions/Wood/fix-ie7.css	(revision 18813)
+++ extensions/Wood/fix-ie7.css	(revision 18813)
@@ -0,0 +1,3 @@
+#theImage.infoshown			{ float: left;}
+#theImage.infohidden		{ float: right;}
+#imageToolBar .actionButtons	{ float: right;}
Index: extensions/Wood/index.php
===================================================================
--- extensions/Wood/index.php	(revision 18813)
+++ extensions/Wood/index.php	(revision 18813)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Wood/js/masonry.min.js
===================================================================
--- extensions/Wood/js/masonry.min.js	(revision 18813)
+++ extensions/Wood/js/masonry.min.js	(revision 18813)
@@ -0,0 +1,10 @@
+/**
+ * Vanilla Masonry v1.0.02
+ * Dynamic layouts for the flip-side of CSS Floats
+ * http://vanilla-masonry.desandro.com
+ *
+ * Licensed under the MIT license.
+ * Copyright 2011 David DeSandro
+ */
+(function(a,b){function r(a,b){if(!!a){this.element=a,this.options={};for(var c in r.defaults)this.options[c]=r.defaults[c];for(c in b)this.options[c]=b[c];this._create(),this.build()}}function q(a,b,c){a.removeEventListener?a.removeEventListener(b,c,!1):a.detachEvent&&(a.detachEvent("on"+b,a[b+c]),a[b+c]=null,a["e"+b+c]=null)}function p(b,c,d){b.addEventListener?b.addEventListener(c,d,!1):b.attachEvent&&(b["e"+c+d]=d,b[c+d]=function(){b["e"+c+d](a.event)},b.attachEvent("on"+c,b[c+d]))}function o(a,b,c){var d=b!=="height",e=d?a.offsetWidth:a.offsetHeight,f=d?"Left":"Top",g=d?"Right":"Bottom",h=j(a),i=parseFloat(h["padding"+f])||0,k=parseFloat(h["padding"+g])||0,l=parseFloat(h["border"+f+"Width"])||0,o=parseFloat(h["border"+g+"Width"])||0,p=h["margin"+f],q=h["margin"+g],r,s;m||(p=n(a,h,p),q=n(a,h,q)),r=parseFloat(p)||0,s=parseFloat(q)||0;if(e>0)c?e+=r+s:e-=i+k+l+o;else{e=h[b];if(e<0||e==null)e=a.style[b]||0;e=parseFloat(e)||0,c&&(e+=i+k+r+s+l+o)}return e}function n(a,b,c){if(c.indexOf("%")===-1)return c;var d=a.style,e=d.width,f;d.width=c,f=b.width,d.width=e;return f}function e(a){return new RegExp("(^|\\s+)"+a+"(\\s+|$)")}"use strict";var c=a.document,d="classList"in c.createElement("div"),f=d?function(a,b){return a.classList.contains(b)}:function(a,b){return e(b).test(a.className)},g=d?function(a,b){a.classList.add(b)}:function(a,b){f(a,b)||(a.className=a.className+" "+b)},h=d?function(a,b){a.classList.remove(b)}:function(a,b){a.className=a.className.replace(e(b)," ")},i=c.defaultView,j=i&&i.getComputedStyle?function(a){return i.getComputedStyle(a,null)}:function(a){return a.currentStyle},k=c.getElementsByTagName("body")[0],l=c.createElement("div");l.style.marginTop="1%",k.appendChild(l);var m=j(l).marginTop!=="1%";k.removeChild(l);var s=["position","height"];r.defaults={isResizable:!0,gutterWidth:0,isRTL:!1,isFitWidth:!1},r.prototype={_getBricks:function(a){var b;for(var c=0,d=a.length;c<d;c++)b=a[c],b.style.position="absolute",g(b,"masonry-brick"),this.bricks.push(b)},_create:function(){this.reloadItems();var b=this.element.style;this._originalStyle={};for(var c=0,d=s.length;c<d;c++){var e=s[c];this._originalStyle[e]=b[e]||""}this.element.style.position="relative",this.horizontalDirection=this.options.isRTL?"right":"left",this.offset={};var f=j(this.element),h=this.options.isRTL?"paddingRight":"paddingLeft";this.offset.y=parseFloat(f.paddingTop)||0,this.offset.x=parseFloat(f[h])||0,this.isFluid=this.options.columnWidth&&typeof this.options.columnWidth=="function";var i=this;setTimeout(function(){g(i.element,"masonry")}),this.options.isResizable&&p(a,"resize",function(){i._handleResize()})},build:function(a){this._getColumns(),this._reLayout(a)},_getColumns:function(){var a=this.options.isFitWidth?this.element.parentNode:this.element,b=o(a,"width");this.columnWidth=this.isFluid?this.options.columnWidth(b):this.options.columnWidth||o(this.bricks[0],"width",!0)||b,this.columnWidth+=this.options.gutterWidth,this.cols=Math.floor((b+this.options.gutterWidth)/this.columnWidth),this.cols=Math.max(this.cols,1)},reloadItems:function(){this.bricks=[],this._getBricks(this.element.children)},_reLayout:function(a){var b=this.cols;this.colYs=[];while(b--)this.colYs.push(0);this.layout(this.bricks,a)},layout:function(a,b){var c,d,e,f,g,h,i;for(var j=0,k=a.length;j<k;j++){c=a[j];if(c.nodeType!==1)continue;d=Math.ceil(o(c,"width",!0)/(this.columnWidth+this.options.gutterWidth)),d=Math.min(d,this.cols);if(d===1)i=this.colYs;else{e=this.cols+1-d,i=[];for(h=0;h<e;h++)g=this.colYs.slice(h,h+d),i[h]=Math.max.apply(Math,g)}var l=Math.min.apply(Math,i);for(var m=0,n=i.length;m<n;m++)if(i[m]===l)break;c.style.top=l+this.offset.y+"px",c.style[this.horizontalDirection]=this.columnWidth*m+this.offset.x+"px";var p=l+o(c,"height",!0),q=this.cols+1-n;for(h=0;h<q;h++)this.colYs[m+h]=p}var r={};this.element.style.height=Math.max.apply(Math,this.colYs)+"px";if(this.options.isFitWidth){var s=0;j=this.cols;while(--j){if(this.colYs[j]!==0)break;s++}this.element.style.width=(this.cols-s)*this.columnWidth-this.options.gutterWidth+"px"}b&&b.call(a)},_handleResize:function(){function b(){a.resize(),a._resizeTimeout=null}var a=this;this._resizeTimeout&&clearTimeout(this._resizeTimeout),this._resizeTimeout=setTimeout(b,100)},resize:function(){var a=this.cols;this._getColumns(),(this.isFluid||this.cols!==a)&&this._reLayout()},reload:function(a){this.reloadItems(),this.build(a)},appended:function(a,b,c){var d=this,e=function(){d._appended(a,c)};if(b){var f=o(this.element,"height")+"px";for(var g=0,h=a.length;g<h;g++)a[g].style.top=f;setTimeout(e,1)}else e()},_appended:function(a,b){this._getBricks(a),this.layout(a,b)},destroy:function(){var b;for(var c=0,d=this.bricks.length;c<d;c++)b=this.bricks[c],b.style.position="",b.style.top="",b.style.left="",h(b,"masonry-brick");var e=this.element.style;d=s.length;for(c=0;c<d;c++){var f=s[c];e[f]=this._originalStyle[f]}h(this.element,"masonry"),this.resizeHandler&&q(a,"resize",this.resizeHandler)}},r.getWH=o,a.Masonry=r})(window);
+
Index: extensions/Wood/local_head.tpl
===================================================================
--- extensions/Wood/local_head.tpl	(revision 18813)
+++ extensions/Wood/local_head.tpl	(revision 18813)
@@ -0,0 +1,5 @@
+	<!--[if lt IE 8]>
+		<link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/elegant/fix-ie7.css">
+	<![endif]-->
+	
+{combine_script id='jquery.masonry.min' require='jquery' path='themes/Float/js/masonry.min.js' load='footer'}
Index: extensions/Wood/template/index.tpl
===================================================================
--- extensions/Wood/template/index.tpl	(revision 18813)
+++ extensions/Wood/template/index.tpl	(revision 18813)
@@ -0,0 +1,219 @@
+{$MENUBAR}
+{if !empty($PLUGIN_INDEX_CONTENT_BEFORE)}{$PLUGIN_INDEX_CONTENT_BEFORE}{/if}
+
+
+<div id="content" class="content{if isset($MENUBAR)} contentWithMenu{/if}">
+
+<div class="titrePage{if isset($chronology.TITLE)} calendarTitleBar{/if}">
+	<ul class="categoryActions">
+{if !empty($image_orders)}
+		<li>{strip}<a id="sortOrderLink" title="{'Sort order'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
+			<span class="pwg-icon pwg-icon-sort">&nbsp;</span><span class="pwg-button-text">{'Sort order'|@translate}</span>
+		</a>
+		<div id="sortOrderBox" class="switchBox">
+			<div class="switchBoxTitle">{'Sort order'|@translate}</div>
+			{foreach from=$image_orders item=image_order name=loop}{if !$smarty.foreach.loop.first}<br>{/if}
+			{if $image_order.SELECTED}
+			<span>&#x2714; </span>{$image_order.DISPLAY}
+			{else}
+			<span style="visibility:hidden">&#x2714; </span><a href="{$image_order.URL}" rel="nofollow">{$image_order.DISPLAY}</a>
+			{/if}
+			{/foreach}
+		</div>
+		{/strip}</li>
+{/if}
+{if !empty($image_derivatives)}
+		<li>{strip}<a id="derivativeSwitchLink" title="{'Photo sizes'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
+			<span class="pwg-icon pwg-icon-sizes">&nbsp;</span><span class="pwg-button-text">{'Photo sizes'|@translate}</span>
+		</a>
+		<div id="derivativeSwitchBox" class="switchBox">
+			<div class="switchBoxTitle">{'Photo sizes'|@translate}</div>
+			{foreach from=$image_derivatives item=image_derivative name=loop}{if !$smarty.foreach.loop.first}<br>{/if}
+			{if $image_derivative.SELECTED}
+			<span>&#x2714; </span>{$image_derivative.DISPLAY}
+			{else}
+			<span style="visibility:hidden">&#x2714; </span><a href="{$image_derivative.URL}" rel="nofollow">{$image_derivative.DISPLAY}</a>
+			{/if}
+			{/foreach}
+		</div>
+		{/strip}</li>
+{/if}
+
+
+{if isset($favorite)}
+		<li><a href="{$favorite.U_FAVORITE}" title="{'delete all photos from your favorites'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
+			<span class="pwg-icon pwg-icon-favorite-del">&nbsp;</span><span class="pwg-button-text">{'delete all photos from your favorites'|@translate}</span>
+		</a></li>
+{/if}
+{if isset($U_CADDIE)}
+		<li><a href="{$U_CADDIE}" title="{'Add to caddie'|@translate}" class="pwg-state-default pwg-button">
+			<span class="pwg-icon pwg-icon-caddie-add">&nbsp;</span><span class="pwg-button-text">{'Caddie'|@translate}</span>
+		</a></li>
+{/if}
+{if isset($U_EDIT)}
+		<li><a href="{$U_EDIT}" title="{'Edit album'|@translate}" class="pwg-state-default pwg-button">
+			<span class="pwg-icon pwg-icon-category-edit">&nbsp;</span><span class="pwg-button-text">{'Edit'|@translate}</span>
+		</a></li>
+{/if}
+{if isset($U_SEARCH_RULES)}
+		{combine_script id='core.scripts' load='async' path='themes/default/js/scripts.js'}
+		<li><a href="{$U_SEARCH_RULES}" onclick="popuphelp(this.href); return false;" title="{'Search rules'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
+			<span class="pwg-icon pwg-icon-help">&nbsp;</span><span class="pwg-button-text">(?)</span>
+		</a></li>
+{/if}
+{if isset($U_SLIDESHOW)}
+		<li>{strip}<a href="{$U_SLIDESHOW}" title="{'slideshow'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
+			<span class="pwg-icon pwg-icon-slideshow">&nbsp;</span><span class="pwg-button-text">{'slideshow'|@translate}</span>
+		</a>{/strip}</li>
+{/if}
+{if isset($U_MODE_FLAT)}
+		<li>{strip}<a href="{$U_MODE_FLAT}" title="{'display all photos in all sub-albums'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
+			<span class="pwg-icon pwg-icon-category-view-flat">&nbsp;</span><span class="pwg-button-text">{'display all photos in all sub-albums'|@translate}</span>
+		</a>{/strip}</li>
+{/if}
+{if isset($U_MODE_NORMAL)}
+		<li>{strip}<a href="{$U_MODE_NORMAL}" title="{'return to normal view mode'|@translate}" class="pwg-state-default pwg-button">
+			<span class="pwg-icon pwg-icon-category-view-normal">&nbsp;</span><span class="pwg-button-text">{'return to normal view mode'|@translate}</span>
+		</a>{/strip}</li>
+{/if}
+{if isset($U_MODE_POSTED)}
+		<li>{strip}<a href="{$U_MODE_POSTED}" title="{'display a calendar by posted date'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
+			<span class="pwg-icon pwg-icon-calendar">&nbsp;</span><span class="pwg-button-text">{'Calendar'|@translate}</span>
+		</a>{/strip}</li>
+{/if}
+{if isset($U_MODE_CREATED)}
+		<li>{strip}<a href="{$U_MODE_CREATED}" title="{'display a calendar by creation date'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
+			<span class="pwg-icon pwg-icon-camera-calendar">&nbsp;</span><span class="pwg-button-text">{'Calendar'|@translate}</span>
+		</a>{/strip}</li>
+{/if}
+{if !empty($PLUGIN_INDEX_ACTIONS)}{$PLUGIN_INDEX_ACTIONS}{/if}
+
+
+
+
+	</ul>
+
+
+
+
+
+
+
+
+
+
+<h2>{$TITLE}</h2>
+
+
+
+
+
+
+
+{if isset($chronology_views)}
+<div class="calendarViews">{'View'|@translate}:
+	<select onchange="document.location = this.options[this.selectedIndex].value;">
+		{foreach from=$chronology_views item=view}
+		<option value="{$view.VALUE}"{if $view.SELECTED} selected="selected"{/if}>{$view.CONTENT}</option>
+		{/foreach}
+	</select>
+</div>
+{/if}
+
+
+{if isset($chronology.TITLE)}
+<h2 class="calendarTitle">{$chronology.TITLE}</h2>
+{/if}
+
+
+
+
+
+
+
+
+
+
+
+
+
+</div>{* <!-- titrePage --> *}
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+{if isset($errors) or not empty($infos)}
+{include file='infos_errors.tpl'}
+{/if}
+{if !empty($PLUGIN_INDEX_CONTENT_BEGIN)}{$PLUGIN_INDEX_CONTENT_BEGIN}{/if}
+
+
+
+{if !empty($category_search_results)}
+<div style="font-size:16px;margin:10px 16px">{'Album results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
+	<em><strong>
+	{foreach from=$category_search_results item=res name=res_loop}
+	{if !$smarty.foreach.res_loop.first} &mdash; {/if}
+	{$res}
+	{/foreach}
+	</strong></em>
+</div>
+{/if}
+
+
+
+
+{if !empty($tag_search_results)}
+<div style="font-size:16px;margin:10px 16px">{'Tag results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
+	<em><strong>
+	{foreach from=$tag_search_results item=res name=res_loop}
+	{if !$smarty.foreach.res_loop.first} &mdash; {/if}
+	{$res}
+	{/foreach}
+	</strong></em>
+</div>
+{/if}
+
+
+
+
+
+{if isset($FILE_CHRONOLOGY_VIEW)}
+{include file=$FILE_CHRONOLOGY_VIEW}
+{/if}
+
+
+{if !empty($CONTENT_DESCRIPTION)}
+<div class="additional_info">
+	{$CONTENT_DESCRIPTION}
+</div>
+{/if}
+
+
+
+
+{if !empty($CATEGORIES)}{$CATEGORIES}{/if}
+{if !empty($CATEGORIES)&& !empty($THUMBNAILS)}<div class="transition"></div>{/if}
+
+{if !empty($THUMBNAILS)}{$THUMBNAILS}{/if}
+
+
+{if !empty($navbar)}{include file='navigation_bar.tpl'|@get_extent:'navbar'}{/if}
+
+{if !empty($PLUGIN_INDEX_CONTENT_END)}{$PLUGIN_INDEX_CONTENT_END}{/if}
+</div>{* <!-- content --> *}
+{if !empty($PLUGIN_INDEX_CONTENT_AFTER)}{$PLUGIN_INDEX_CONTENT_AFTER}{/if}
+
+
+
Index: extensions/Wood/template/mainpage_categories.tpl
===================================================================
--- extensions/Wood/template/mainpage_categories.tpl	(revision 18813)
+++ extensions/Wood/template/mainpage_categories.tpl	(revision 18813)
@@ -0,0 +1,66 @@
+{html_style}
+
+{if $derivative_params->max_width() > 600}
+.thumbLegend {ldelim}font-size: 130%}
+{else}
+{if $derivative_params->max_width() > 400}
+.thumbLegend {ldelim}font-size: 110%}
+{else}
+.thumbLegend {ldelim}font-size: 90%}
+{/if}
+{/if}
+{/html_style}
+
+<div class="thumbContent">
+
+<div id="container" >
+
+{foreach from=$category_thumbnails item=cat name=cat_loop}
+	<div class="box photo colMainpage">
+	<li class="{if $smarty.foreach.comment_loop.index is odd}odd{else}even{/if}">
+		<div class="thumbnailCategory">
+			<div class="illustration">
+				<img src="{$pwg->derivative_url($derivative_params, $cat.representative.src_image)}" alt="{$cat.TN_ALT}" title="{$cat.NAME|@replace:'"':' '|@strip_tags:false} - {'display this album'|@translate}">
+			<a href="{$cat.URL}">
+				<div class="description">
+						<div class="text">
+					<h2>
+						{$cat.NAME}
+						{if !empty($cat.icon_ts)}
+						<img title="{$cat.icon_ts.TITLE}" src="{$ROOT_URL}{$themeconf.icon_dir}/recent{if $cat.icon_ts.IS_CHILD_DATE}_by_child{/if}.png" alt="(!)">
+						{/if}
+					</h2>
+				
+							{if isset($cat.INFO_DATES) }
+							<p class="dates">{$cat.INFO_DATES}</p>
+							{/if}
+							<p class="Nb_images">{$cat.CAPTION_NB_IMAGES}</p>
+							{if not empty($cat.DESCRIPTION)}
+							<p>{$cat.DESCRIPTION}</p>
+							{/if}
+					</div>
+				</div>
+			</a>
+			</div>
+		</div>
+	</li>
+	</div>
+{/foreach}
+
+
+</div>
+{footer_script require='jquery'}{literal}
+			window.onload = function() {
+			  var wall1 = new Masonry( document.getElementById('container'), {
+				gutterWidth: 10,
+				isFitWidth: true,
+			  });
+				var wall2 = new Masonry( document.getElementById('containerThumb'), {
+				gutterWidth: 10,
+				isFitWidth: true,
+			  });
+
+			};
+{/literal}{/footer_script}
+</div>
+
Index: extensions/Wood/template/thumbnails.tpl
===================================================================
--- extensions/Wood/template/thumbnails.tpl	(revision 18813)
+++ extensions/Wood/template/thumbnails.tpl	(revision 18813)
@@ -0,0 +1,106 @@
+{if !empty($thumbnails)}{strip}
+{combine_script id='load' require='jquery' path='themes/Float/js/load.js' load='footer'}
+
+{combine_script id='jquery.ajaxmanager' path='themes/default/js/plugins/jquery.ajaxmanager.js' load='footer'}
+{combine_script id='thumbnails.loader' path='themes/default/js/thumbnails.loader.js' require='jquery.ajaxmanager' load='footer'}
+{*define_derivative name='derivative_params' width=160 height=90 crop=true*}
+{html_style}
+{*Set some sizes according to maximum thumbnail width and height*}
+
+{if $derivative_params->max_width() >= 1008}
+.col{ldelim}width:95%}
+{elseif $derivative_params->max_width() >= 792}
+.col{ldelim}width:49%}
+{elseif $derivative_params->max_width() >= 576}
+.col{ldelim}width:40%}
+{elseif $derivative_params->max_width() >= 500}
+.col{ldelim}width:32%}
+{elseif $derivative_params->max_width() >= 480}
+.col{ldelim}width:24%}
+{elseif $derivative_params->max_width() >= 380}
+.col{ldelim}width:19%}
+{else}
+.col{ldelim}width:15%}
+{/if}
+
+
+
+
+.thumbnails .wrap2{ldelim}
+	height: {$derivative_params->max_height()+3}px;
+}
+{if $derivative_params->max_width() > 600}
+.thumbLegend {ldelim}font-size: 130%}
+{else}
+{if $derivative_params->max_width() > 400}
+.thumbLegend {ldelim}font-size: 110%}
+{else}
+.thumbLegend {ldelim}font-size: 90%}
+{/if}
+{/if}
+{/html_style}
+
+<div class="thumbContent">
+<div id="containerThumb" class="clearfix">
+
+{foreach from=$thumbnails item=thumbnail}
+	<div class="box photo col">
+
+{assign var=derivative value=$pwg->derivative($derivative_params, $thumbnail.src_image)}
+
+	<li class="thumbs">
+		<div class="thumbnail">		
+			<div class="illustration">
+				<img class="thumbnail" src="{$derivative->get_url()}" alt="{$thumbnail.TN_ALT}" title="{$thumbnail.TN_TITLE}">
+			{if $SHOW_THUMBNAIL_CAPTION }
+			<a href="{$thumbnail.URL}">
+				<div class="description">
+				<div class="text">
+					<span class="thumbLegend">
+							<span class="thumbName">{$thumbnail.NAME}</span>
+							{if !empty($thumbnail.icon_ts)}
+								<img title="{$thumbnail.icon_ts.TITLE}" src="{$ROOT_URL}{$themeconf.icon_dir}/recent.png" alt="(!)">
+							{/if}
+						{if isset($thumbnail.NB_COMMENTS)}
+							<span class="{if 0==$thumbnail.NB_COMMENTS}zero {/if}nb-comments">
+								<br>
+								{$pwg->l10n_dec('%d comment', '%d comments',$thumbnail.NB_COMMENTS)}
+							</span>
+						{/if}
+						{if isset($thumbnail.NB_HITS)}
+							<span class="{if 0==$thumbnail.NB_HITS}zero {/if}nb-hits">
+								<br>
+								{$pwg->l10n_dec('%d hit', '%d hits',$thumbnail.NB_HITS)}
+							</span>
+						{/if}
+					</span>
+				</div>
+				</div>
+			</a>
+			</div>
+		</div>
+
+
+		{/if}
+	</li>
+	</div>
+{/foreach}
+
+{/strip}
+{/if}
+</div>		
+{footer_script require='jquery'}{literal}
+			window.onload = function() {
+			  var wall1 = new Masonry( document.getElementById('container'), {
+				gutterWidth: 10,
+				isFitWidth: true
+			  });
+				var wall2 = new Masonry( document.getElementById('containerThumb'), {
+				gutterWidth: 10,
+				isFitWidth: true
+			  });
+
+			};
+{/literal}{/footer_script}
+</div>
+
Index: extensions/Wood/theme.css
===================================================================
--- extensions/Wood/theme.css	(revision 18813)
+++ extensions/Wood/theme.css	(revision 18813)
@@ -0,0 +1,95 @@
+BODY{background:url("images/background/wood_pattern.jpg") fixed repeat;color:#FF8a00}
+A,INPUT.rateButton {color:#6F6F6F}
+H2{background-image:none;padding:8px 0 0 10px}
+INPUT[type=submit],INPUT[type=reset]{cursor:pointer;background:-moz-linear-gradient(center top , #555555, #2C2C2C) repeat scroll 0% 0% transparent;color:#ff8a00;border-radius:8px 8px 8px 8px;text-shadow:none;box-shadow:none;border:none}
+INPUT[type=submit]:hover,INPUT[type=reset]:hover{color:#ff8a00;background:-moz-linear-gradient(center top , #5f5f5f, #2C2C2C) repeat scroll 0% 0% transparent}
+INPUT[type=submit]:active,INPUT[type=reset]:active{color:#ff8a00;background:-moz-linear-gradient(center top , #555555, #2C2C2C) repeat scroll 0% 0% transparent;box-shadow:1px 1px 1px #000 inset, 0px 1px 0px rgba(255,255,255,0.4)}
+
+/*======================================================icon======================================================*/
+.pwg-icon-filter{background-image: url("../default/s26/outline_ffffff.png")}
+A:hover .pwg-icon-filter{background-image: url("../default/s26/outline_ff7700.png")}
+
+/*======================================================Header======================================================*/
+#Header{margin-bottom:50px;background:none}
+#header_bgDef{background:none;width:20%;float:left}
+#theHeader{text-align:left;padding-top:40px;font-size:2.1em;position:fixed;width:20%;right:auto;padding-left:5px}
+#theHeader h1{text-align:left;color:rgba(0, 0, 0, 0.3);font-size:2.6em;margin-top:0px;margin-bottom:0}
+#headertransi{background:none;height:0}
+#headertransiH{background-image:none}
+#headertransiB{background-image:none}
+#bg_th_left{background-image:none}
+#logo{background:none}
+#the_page{width:80%;float:right}
+
+/*======================================================Content======================================================*/
+.content .titrePage{background:none repeat scroll 0px 0px rgba(111, 111, 111, 0.3);border:1px solid rgba(63, 63, 63, 0.3);border-radius:5px 5px 5px 5px}
+.content .titrePage a{color:#FFFFFF}
+.content .titrePage a:hover{color:#C2C2C2}
+.categoryActions{top:5px}
+#page_content{background:none repeat scroll 0% 0% transparent;max-width:none;min-width:900px;width:auto;margin-top:40px}
+#page_content1{background-color:rgba(0, 0, 0, 0.3);background-image:none}
+#page_content2{background:none repeat scroll 0% 0% transparent}
+.switchBox{color:#FFA200}
+.thumbContent{width:98%}
+.transition{height:20px;border-bottom:1px solid rgba(63, 63, 63, 0.3)}
+
+/*======================================================Thumbnail/categorie page======================================================*/
+.thumbnail .description,.thumbnailCategory DIV.description{height:100%}
+.thumbnail:hover .description,.thumbnailCategory:hover DIV.description{background: none repeat scroll 0% 0% rgba(0, 0, 0, 0.9);-moz-transition:bottom 1s ease 0s, width 1s ease 0s, opacity 2s ease 0s}
+.thumbnailCategories LI{width:auto;display:inline-block;float:none}
+.illustration{margin:0}
+.thumbs{margin:10px 0}
+.text{background:none repeat scroll 0% 0% transparent;margin-left:10px}
+.text img{height:24px;width:24px!important}
+.description H2{text-align:center;font-size:250%;color:#FFF;margin:20px 0;padding:5px}
+.description P{font-size:120%;padding:5px}
+#bg_th_right{background-image:none}
+#imageHeaderBar{border-radius:5px 5px 5px 5px;margin-bottom:20px;font-size:120%;padding:10px 0 0;height:26px;background:none repeat scroll 0px 0px rgba(111, 111, 111, 0.3);border:1px solid rgba(63, 63, 63, 0.3)}
+#imageHeaderBar a{color: #FFF}
+#imageHeaderBar a:hover{color: #C2C2C2}
+.even,.odd,.thumbs{list-style:none outside none}
+
+/*======================================================Menu======================================================*/
+#menu{height:40px;padding: 5px 0 0}
+#menu a{color: #FFF}
+#menu a:hover{color:#ff8a00}
+ul#topnav span dt{height:35px}
+ul#topnav span dt:hover{background:#4f4f4f}
+ul#topnav span dt:hover a{color:#ff8a00}
+#nav_wrapper{background:none repeat scroll 0% 0% rgba(0, 0, 0, 0.8);height:40px;border-bottom:1px solid #3F3F3F;min-width: 1000px;position:fixed}
+span#menu_start{background:none repeat scroll 0% 0% transparent}
+span#menu_start a{background: url("images/menu/home_w.png") no-repeat scroll left top transparent;height:32px}
+span#menu_start a:hover{background-position:left -32px}
+ul#topnav{background:none repeat scroll 0% 0% transparent;font-size:1.2em}
+ul#topnav .liSub{background:none repeat scroll 0% 0% transparent}
+ul#topnav .liSub:hover{background:none repeat scroll 0% 0% #4F4F4F}
+.sub p{color:#FFF}
+ul#topnav .sub ul li,ul#topnav #loger ul li,ul#topnav .sub #menuTagCloud div{border:medium none}
+ul#topnav .sub ul li a,ul#topnav #loger ul li a{background:none repeat scroll 0% 0% transparent}
+ul#topnav .sub ul li a:hover,ul#topnav .sub #menuTagCloud div a:hover{color:#FF8A00;background:url("images/menu/navlist_arrow_hover.png") no-repeat scroll 0px 5px transparent;text-decoration:none}
+ul#topnav .sub ul li a,ul#topnav #loger ul li a{color: #FFF}
+ul#topnav #loger ul li a:hover{color:#ff8a00}
+li.liSub:hover span.dd_wrapper,li.liSub:hover span.cl_wrapper,.activate{background:none repeat scroll 0% 0% transparent;color:#FF8A00}
+ul#topnav .sub ul li.selected{text-decoration:none;border:medium none}
+ul#topnav .sub ul li.selected a,ul#topnav .sub ul li.selected a:hover{color:#FF8A00;text-decoration:none;border:medium none}
+ul#topnav .sub ul li.selected a{background:url("images/menu/navlist_arrow_select.png") no-repeat scroll 0px 5px transparent}
+ul#topnav li .sub, ul#topnav li #loger{border-radius:0;box-shadow:5px 5px 20px #000;background: none repeat scroll 0% 0% rgba(0, 0, 0, 0.8);margin-top: 5px}
+#log{color:#ff8a00}
+#log INPUT[type="password"],#log INPUT[type="text"]{background-image:none;background-color:#fff}
+#go INPUT[type="submit"]{background:-moz-linear-gradient(center top , #555555, #2C2C2C) repeat scroll 0 0 transparent;color:#ff8a00;width:auto}
+#go INPUT[type="submit"]:hover{color:#ff8a00;background:-moz-linear-gradient(center top , #5f5f5f, #2C2C2C) repeat scroll 0 0 transparent}
+#go INPUT[type=submit]:active{color:#ff8a00;background:-moz-linear-gradient(center top , #555555, #2C2C2C) repeat scroll 0% 0% transparent;box-shadow:1px 1px 1px #000 inset, 0px 1px 0px rgba(255,255,255,0.4)}
+#quicksearch input[type="text"]{background:none repeat scroll 0% 0% #3F3F3F}
+#quicksearch input[type="submit"]{background: url("images/menu/search.png") repeat scroll 0% 0% transparent}
+
+/*======================================================Panel======================================================*/
+.panel .switchBox{top:60px}
+.panel .switchBox a{color:#FF8a00}
+
+/*======================================================Vanilla======================================================*/
+#container,#containerThumb{padding:5px;margin-bottom:20px;clear:both;margin-left:auto;margin-right:auto}
+.box li{list-style: none outside none}
+.box img{display: block;margin-left:auto;margin-right:auto}
+.col img{width:100%}
+.clearfix:before,.clearfix:after{content:"";display:table}
+.clearfix:after {clear:both}
Index: extensions/Wood/themeconf.inc.php
===================================================================
--- extensions/Wood/themeconf.inc.php	(revision 18813)
+++ extensions/Wood/themeconf.inc.php	(revision 18813)
@@ -0,0 +1,27 @@
+<?php
+/*
+Theme Name: Wood
+Version: 1.0.0
+Description: Piwigo theme.
+Theme URI: 
+Author: Miklfe
+Author URI: http://piwigo.org
+*/
+$themeconf = array(
+  'name'  => 'Wood',
+  'parent' => 'PwgCarbon_dft',
+  'local_head'  => 'local_head.tpl'
+);
+
+
+add_event_handler('loc_begin_index', 'modify_nb_thumbnail_page');
+function modify_nb_thumbnail_page()
+{
+global $user, $page;
+	$user['nb_image_page']=999;
+	$page['nb_image_page']=999;
+
+}
+
+
+?>