Index: /trunk/language/bg_BG/install.lang.php
===================================================================
--- /trunk/language/bg_BG/install.lang.php	(revision 18820)
+++ /trunk/language/bg_BG/install.lang.php	(revision 18821)
@@ -27,5 +27,5 @@
 $lang['database tables names will be prefixed with it (enables you to manage better your tables)'] = 'имената на таблиците в базата данни, ще имат тази представка ( това Ви дава възможност да управлявате таблиците по-добре)';
 $lang['Default gallery language'] = 'Език по подразбиране за галерията';
-$lang['Don\'t hesitate to consult our forums for any help : %s'] = 'Не се колебайте да се консултира в нашите форуми за всяка помощ:% S';
+$lang['Don\'t hesitate to consult our forums for any help : %s'] = 'Не се колебайте да се консултира в нашите форуми за всяка помощ:%s';
 $lang['Download the config file'] = 'Изтегляне на конфигурационния файл';
 $lang['enter a login for webmaster'] = 'въведете потребителско име за уебмастер';
Index: /trunk/language/ca_ES/admin.lang.php
===================================================================
--- /trunk/language/ca_ES/admin.lang.php	(revision 18820)
+++ /trunk/language/ca_ES/admin.lang.php	(revision 18821)
@@ -644,5 +644,5 @@
 $lang['Pending Comments'] = 'Comentaris pendents de validar';
 $lang['Menu Management'] = 'Gestionar menús';
-$lang['In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'] = 'A l\'arxiu php.ini, la variable upload_max_filesize (% SB) es major que post_max_size (SB%). Hauries de canviar aquesta configuració.';
+$lang['In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'] = 'A l\'arxiu php.ini, la variable upload_max_filesize (%s) es major que post_max_size (SB%). Hauries de canviar aquesta configuració.';
 $lang['Exif extension not available, admin should disable exif use'] = 'L\'extensió Exif no està disponible. Un administrador hauria de desabilitar l\'ús de metadades Exif.';
 $lang['The uploaded file exceeds the upload_max_filesize directive in php.ini: %sB'] = 'La mida de l\'arxiu pujat excedeix el valor upload_max_filesize de l\'arxiu php.ini: sB%';
Index: /trunk/language/el_GR/admin.lang.php
===================================================================
--- /trunk/language/el_GR/admin.lang.php	(revision 18820)
+++ /trunk/language/el_GR/admin.lang.php	(revision 18821)
@@ -205,5 +205,5 @@
 $lang['Album manual order was saved'] = 'Το εγχειρίδιο λευκώματος έχει αποθηκευτεί';
 $lang['Album name'] = 'Όνομα Λευκώματος';
-$lang['Album photos associated to the following albums: %s'] = 'Λευκώματα φωτογραφιών που σχετίζονται με τα ακόλουθα λευκώματα:% s';
+$lang['Album photos associated to the following albums: %s'] = 'Λευκώματα φωτογραφιών που σχετίζονται με τα ακόλουθα λευκώματα:%s';
 $lang['Album updated successfully'] = 'Το λεύκωμα ενημερώθηκε με επιτυχία';
 $lang['Approximate maximum resolution: %dM pixels (that\'s %dx%d pixels).'] = 'Κατά προσέγγιση μέγιστη ανάλυση:  %dM pixels (αυτό είναι %dx%d pixels).';
Index: /trunk/language/es_ES/admin.lang.php
===================================================================
--- /trunk/language/es_ES/admin.lang.php	(revision 18820)
+++ /trunk/language/es_ES/admin.lang.php	(revision 18821)
@@ -648,5 +648,5 @@
 $lang['Pending Comments'] = 'Comentarios en espera de validación';
 $lang['Menu Management'] = 'Administrar menús';
-$lang['In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'] = 'En el archivo php.ini, la variable upload_max_filesize (% SB) es mayor que post_max_size (SB%). Debe cambiar esta configuración';
+$lang['In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'] = 'En el archivo php.ini, la variable upload_max_filesize (%sB) es mayor que post_max_size (%sB). Debe cambiar esta configuración';
 $lang['Exif extension not available, admin should disable exif use'] = 'La extension Exif no esta disponible. Un administrador debería deshabilitar el uso de metadatos Exif';
 $lang['The uploaded file exceeds the upload_max_filesize directive in php.ini: %sB'] = 'El peso del archivo subido excede el valor de upload_max_filesize en el archivo php.ini: sB%';
@@ -788,5 +788,5 @@
 $lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo no puede recuperar el archivo de actualización desde el servidor';
 $lang['Zoom'] = 'Ampliar';
-$lang['%s has been successfully updated.'] = '% se ha actualizado correctamente.';
+$lang['%s has been successfully updated.'] = '%s ha actualizado correctamente.';
 $lang['Add tags'] = 'Añadir etiquetas';
 $lang['Add to caddie'] = 'Añadir al carrito';
Index: /trunk/language/hu_HU/admin.lang.php
===================================================================
--- /trunk/language/hu_HU/admin.lang.php	(revision 18820)
+++ /trunk/language/hu_HU/admin.lang.php	(revision 18821)
@@ -653,5 +653,5 @@
 $lang['Who can see this photo?'] = 'Ki láthatja ezt a képet?';
 $lang['Menu Management'] = 'Menü';
-$lang['In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'] = 'A php.ini fájlban az upload_max_filesize (% sB) nagyobb, mint a post_max_size (% sB), módosítania kell a beállítást';
+$lang['In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'] = 'A php.ini fájlban az upload_max_filesize (%sB) nagyobb, mint a post_max_size (%sB), módosítania kell a beállítást';
 $lang['Exif extension not available, admin should disable exif use'] = 'Exif-kiterjesztés nem érhető el, az adminisztrátor tiltsa le az exif használatát';
 $lang['The uploaded file exceeds the upload_max_filesize directive in php.ini: %sB'] = 'A feltöltendő fájl meghaladja a php.ini-ben megadott upload_max_filesize értéket: %sB';
Index: /trunk/language/hu_HU/common.lang.php
===================================================================
--- /trunk/language/hu_HU/common.lang.php	(revision 18820)
+++ /trunk/language/hu_HU/common.lang.php	(revision 18821)
@@ -224,6 +224,6 @@
 $lang['Next'] = 'Következő';
 $lang['no rate'] = 'még nincs értékelve';
-$lang['Photos posted within the last %d day.'] = 'Az alábbi elemek kerültek fel az elmúlt % d napban.';
-$lang['Photos posted within the last %d days.'] = 'Az alábbi elemek kerültek fel az elmúlt % d napban.';
+$lang['Photos posted within the last %d day.'] = 'Az alábbi elemek kerültek fel az elmúlt %d napban.';
+$lang['Photos posted within the last %d days.'] = 'Az alábbi elemek kerültek fel az elmúlt %d napban.';
 $lang['password updated'] = 'Jelszó frissítve';
 $lang['Recent period must be a positive integer value'] = 'Kell egy pozitív egész érték';
Index: /trunk/language/it_IT/admin.lang.php
===================================================================
--- /trunk/language/it_IT/admin.lang.php	(revision 18820)
+++ /trunk/language/it_IT/admin.lang.php	(revision 18821)
@@ -562,6 +562,6 @@
 $lang['Drop into album'] = 'Spostare nell\'album';
 $lang['+ Add an upload box'] = '+ Aggiungere un altro campo di upload';
-$lang['Create the "%s" directory at the root of your Piwigo installation'] = 'Creare la directory "% s" nella radice della vostra installazione Piwigo';
-$lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Dare i permessi in scrittura (chmod 777) alla directory "% s" nella radice della vostra installazione Piwigo';
+$lang['Create the "%s" directory at the root of your Piwigo installation'] = 'Creare la directory "%s" nella radice della vostra installazione Piwigo';
+$lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Dare i permessi in scrittura (chmod 777) alla directory "%s" nella radice della vostra installazione Piwigo';
 $lang['existing album'] = 'album esistente';
 $lang['create a new album'] = 'creare un nuovo album';
@@ -683,5 +683,5 @@
 $lang['Set creation date'] = 'Impostare la data di creazione';
 $lang['Apply action'] = 'Applicare l\'azione';
-$lang['on the %d selected photos'] = 'sulle % foto selezionate';
+$lang['on the %d selected photos'] = 'sulle %d foto selezionate';
 $lang['%d of %d photos selected'] = '%d foto su %d sono selezionate';
 $lang['No photo selected, %d photos in current set'] = 'Nessuna foto selezionata tra le %d foto del lotto';
@@ -926,5 +926,5 @@
 $lang['Name of the duplicate'] = 'Nome del duplicato';
 $lang['Source tag'] = 'Tag fonte';
-$lang['Tag "%s" is now a duplicate of "%s"'] = 'Il tag "% s" è ormai una copia di "% s"';
+$lang['Tag "%s" is now a duplicate of "%s"'] = 'Il tag "%s" è ormai una copia di "%s"';
 $lang['Duplicate selected tags'] = 'Duplicare i Tag selezionati';
 $lang['Invalid dimension'] = 'Dimensione non valida';
Index: /trunk/language/ka_GE/admin.lang.php
===================================================================
--- /trunk/language/ka_GE/admin.lang.php	(revision 18820)
+++ /trunk/language/ka_GE/admin.lang.php	(revision 18821)
@@ -754,7 +754,7 @@
 
 
-$lang['%s has been successfully updated.'] = '% წარმატებით განახლდა';
-$lang['%s photos can not be regenerated'] = '% ფოტო არ არის რეგენერირებილი';
-$lang['%s photos have been regenerated'] = '% ფოტო გენერირებულია';
+$lang['%s has been successfully updated.'] = '%s წარმატებით განახლდა';
+$lang['%s photos can not be regenerated'] = '%s ფოტო არ არის რეგენერირებილი';
+$lang['%s photos have been regenerated'] = '%s ფოტო გენერირებულია';
 $lang['(this tag will be deleted)'] = '( ეს ტეგი წაშლილია)';
 $lang['... or '] = '... ან';
@@ -795,6 +795,6 @@
 $lang['The original maximum height must be a number between %d and %d'] = 'ორიგინალური მაქსიმალური სიმაღლე უნდა იყოს %d და %d';
 $lang['The original maximum width must be a number between %d and %d'] = 'ორიგინალური მაქსიმალური სიგანე უნდა იყოს %d და %d';
-$lang['This album contains %d photos, added between %s and %s.'] = 'ეს ალბომი შეიცავს % ფოტოს, დამატებულია % და % შორის';
-$lang['This album contains %d photos, added on %s.'] = 'ეს ალბომი შეიცავს % ფოტოს, დამატებულია %/';
+$lang['This album contains %d photos, added between %s and %s.'] = 'ეს ალბომი შეიცავს %d ფოტოს, დამატებულია %s და %s შორის';
+$lang['This album contains %d photos, added on %s.'] = 'ეს ალბომი შეიცავს %d ფოტოს, დამატებულია %s';
 $lang['This album contains no photo.'] = 'ამ ალბომში ფოტო არ არის.';
 $lang['Thumbnails generation in progress...'] = 'მიმდინარეობს ხატულების გენერაცია...';
Index: /trunk/language/lv_LV/admin.lang.php
===================================================================
--- /trunk/language/lv_LV/admin.lang.php	(revision 18820)
+++ /trunk/language/lv_LV/admin.lang.php	(revision 18821)
@@ -868,5 +868,5 @@
 $lang['Permission granted for users'] = 'Atļauja piešķirta lietotājiem';
 $lang['Select users...'] = 'Atlasīt lietotājus...';
-$lang['%u users have automatic permission because they belong to a granted group.'] = '% lietotājiem ir automātiskās piekļuves tiesības, jo tie pieder pie privileģētās grupas.';
+$lang['%u users have automatic permission because they belong to a granted group.'] = '%u lietotājiem ir automātiskās piekļuves tiesības, jo tie pieder pie privileģētās grupas.';
 $lang['include photos with lower privacy level'] = 'iekļaut fotogrāfijas ar zemāku privātuma līmeni';
 $lang['custom'] = 'Lietotāja';
Index: /trunk/language/nb_NO/common.lang.php
===================================================================
--- /trunk/language/nb_NO/common.lang.php	(revision 18820)
+++ /trunk/language/nb_NO/common.lang.php	(revision 18821)
@@ -237,10 +237,10 @@
 $lang['Home'] = 'Hjem';
 $lang['in this album'] = 'i dette albumet';
-$lang['in %d sub-album'] = 'i % grunnn-album';
-$lang['in %d sub-albums'] = 'in % grunn-albumer';
+$lang['in %d sub-album'] = 'i %d grunnn-album';
+$lang['in %d sub-albums'] = 'in %d grunn-albumer';
 $lang['included'] = 'inkludert';
 $lang['Invalid password!'] = 'Ugyldig passord!';
 $lang['Language'] = 'Språk';
-$lang['last %d days'] = 'siste % dager';
+$lang['last %d days'] = 'siste %d dager';
 $lang['Last'] = 'Sist';
 $lang['Logout'] = 'Logg ut';
@@ -259,6 +259,6 @@
 $lang['Next'] = 'Neste';
 $lang['no rate'] = 'ingen karakter';
-$lang['Photos posted within the last %d day.'] = 'Elementer posted kun de % siste dager.';
-$lang['Photos posted within the last %d days.'] = 'Elementer posted kun de % siste dager.';
+$lang['Photos posted within the last %d day.'] = 'Elementer posted kun de %d siste dager.';
+$lang['Photos posted within the last %d days.'] = 'Elementer posted kun de %d siste dager.';
 $lang['password updated'] = 'passord oppdatert';
 $lang['Recent period must be a positive integer value'] = 'Siste periode må være en positiv verdi';
Index: /trunk/language/pt_PT/admin.lang.php
===================================================================
--- /trunk/language/pt_PT/admin.lang.php	(revision 18820)
+++ /trunk/language/pt_PT/admin.lang.php	(revision 18821)
@@ -376,5 +376,5 @@
 $lang['wrong filename'] = 'nome de ficheiro errado';
 $lang['Upload'] = 'Enviar';
-$lang['user "%s" added'] = 'utilizador "% adicionado" ';
+$lang['user "%s" added'] = 'utilizador "%s" adicionado';
 $lang['User status'] = 'Estatuto de utilizador';
 $lang['user_status_admin'] = 'Administrador';
Index: /trunk/language/ro_RO/admin.lang.php
===================================================================
--- /trunk/language/ro_RO/admin.lang.php	(revision 18820)
+++ /trunk/language/ro_RO/admin.lang.php	(revision 18821)
@@ -275,7 +275,7 @@
 $lang['Add to caddie'] = 'adaugă în cărucior';
 
-$lang['%s has been successfully updated.'] = '% a fost actualizat cu succes.';
-$lang['%s photos can not be regenerated'] = '% fotografii nu pot fi regenerate';
-$lang['%s photos have been regenerated'] = '% fotografii au fost regenerate';
+$lang['%s has been successfully updated.'] = '%s a fost actualizat cu succes.';
+$lang['%s photos can not be regenerated'] = '%s fotografii nu pot fi regenerate';
+$lang['%s photos have been regenerated'] = '%s fotografii au fost regenerate';
 $lang['(this tag will be deleted)'] = '(această etichetă va fi ștearsă)';
 $lang['... or '] = '...sau';
Index: /trunk/language/th_TH/admin.lang.php
===================================================================
--- /trunk/language/th_TH/admin.lang.php	(revision 18820)
+++ /trunk/language/th_TH/admin.lang.php	(revision 18821)
@@ -882,5 +882,5 @@
 $lang['Not cropped correctly?'] = 'ครอบตัดถูกต้องหรือไม่?';
 $lang['Notify administrators when a comment is'] = 'แจ้งผู้ดูแลระบบเมื่อมีความเห็น';
-$lang['Numeric identifier : %d'] = 'ระบุตัวเลข:% d';
+$lang['Numeric identifier : %d'] = 'ระบุตัวเลข:%d';
 $lang['On your Linux, simply install Shotwell with your package manager and the activate Piwigo publishing option.'] = 'เกี่ยวกับลินุกซ์ คุณเพียงแค่ติดตั้ง Shotwell กับแพคเกจหารจัดการและเปิดใช้งานตัวเลือกการเผยแพร่ Piwigo ของคุณ';
 $lang['Permission granted for groups'] = 'สิทธิ์นี้อนุญาตสำหรับกลุ่ม';
Index: /trunk/language/th_TH/install.lang.php
===================================================================
--- /trunk/language/th_TH/install.lang.php	(revision 18820)
+++ /trunk/language/th_TH/install.lang.php	(revision 18821)
@@ -71,5 +71,5 @@
 $lang['Just another Piwigo gallery'] = 'เพียงแค่ Piwigo แกลลอรี่ เว็บหนึ่ง';
 $lang['Welcome to my photo gallery'] = 'ยินดีต้อนรับสู่แกลลอรี่รูปภาพของฉัน';
-$lang['Don\'t hesitate to consult our forums for any help : %s'] = 'อย่าลังเลที่จะปรึกษาหรือโพสคำถามในฟอรั่มของเรา เพื่อขอความช่วยเหลือใดๆ :% s';
+$lang['Don\'t hesitate to consult our forums for any help : %s'] = 'อย่าลังเลที่จะปรึกษาหรือโพสคำถามในฟอรั่มของเรา เพื่อขอความช่วยเหลือใดๆ :%s';
 $lang['Welcome to your new installation of Piwigo!'] = 'ยินดีต้อนรับสู่การติดตั้งใหม่ของ Piwigo!';
 ?>
Index: /trunk/language/tr_TR/upgrade.lang.php
===================================================================
--- /trunk/language/tr_TR/upgrade.lang.php	(revision 18820)
+++ /trunk/language/tr_TR/upgrade.lang.php	(revision 18821)
@@ -23,5 +23,5 @@
 
 $lang['Upgrade'] = "Güncellestirme";
-$lang['This page proposes to upgrade your database corresponding to your old version of Piwigo to the current version. The upgrade assistant thinks you are currently running a <strong>release %s</strong> (or equivalent).'] = "Bu sayfa yeni sürüme Piwigo eski sürümünden veritabani yükseltme öneriyor. Yükseltme yardimcisi Su anda bir <strong> sürüm% (veya esdegeri) </ strong> çalistiran düsünüyor.";
+$lang['This page proposes to upgrade your database corresponding to your old version of Piwigo to the current version. The upgrade assistant thinks you are currently running a <strong>release %s</strong> (or equivalent).'] = "Bu sayfa yeni sürüme Piwigo eski sürümünden veritabani yükseltme öneriyor. Yükseltme yardimcisi Su anda bir <strong> sürüm %s (veya esdegeri) </strong> çalistiran düsünüyor.";
 $lang['Upgrade from version %s to %s'] = "%s sürümden %s sürümüne güncellestir";
 $lang['Statistics'] = "Istatistik";