Index: /trunk/language/lt_LT/common.lang.php
===================================================================
--- /trunk/language/lt_LT/common.lang.php	(revision 18838)
+++ /trunk/language/lt_LT/common.lang.php	(revision 18839)
@@ -41,5 +41,5 @@
 $lang['%d comment'] = '%d komentuoti';
 $lang['%d comments to validate'] = '%d patvirtinti komentarus';
-$lang['%d comments'] = '%d komentarai(-&#371;)';
+$lang['%d comments'] = '%d komentarai(-ų)';
 $lang['%d hit'] = '%d paspaudimas';
 $lang['%d hits'] = '%d paspaudimai';
@@ -51,18 +51,18 @@
 $lang['%d new user'] = '%d naujas narys';
 $lang['%d new users'] = '%d nauji nariai';
-$lang['%d photo is also linked to current tags'] = '%d nuotrauka taip pat yra susijusi su dabartin&#279;mis &#382;ymomis';
+$lang['%d photo is also linked to current tags'] = '%d nuotrauka taip pat yra susijusi su dabartinėmis žymomis';
 $lang['%d photo'] = '%d nuotrauka';
-$lang['%d photos are also linked to current tags'] = '%d nuotraukos taip pat siejamos su dabartin&#279;mis &#382;ymomis';
-$lang['%d photos'] = '%d nuotraukos(-&#371;)';
+$lang['%d photos are also linked to current tags'] = '%d nuotraukos taip pat siejamos su dabartinėmis žymomis';
+$lang['%d photos'] = '%d nuotraukos(-ų)';
 $lang['%d rates'] = '%d reitingai';
-$lang['(!) This comment requires validation'] = '(!) Reikalingas komentro patvirtinimas';
-$lang['... or browse your empty gallery'] = '... arba ie&#352;kokite tu&#352;&#269;ios j&#363;s&#371; galerijos';
-$lang['... or please deactivate this message, I will find my way by myself'] = '... arba i&#352;jungti &#352;&#303; prane&#352;im&#260;, a&#352; rasiu pats ';
-$lang['A comment on your site'] = 'Komentaras tavo internetin&#279;je svetain&#279;je';
+$lang['(!) This comment requires validation'] = '(!) Šiam komentarui reikia patvirtinimo';
+$lang['... or browse your empty gallery'] = '... arba ieŠkoti tuŠčios galerijos';
+$lang['... or please deactivate this message, I will find my way by myself'] = '... arba prašome išjungti ššį pranešimą, aš rasiu pats';
+$lang['A comment on your site'] = 'Komenentaras svetainėje';
 $lang['About Piwigo'] = 'Apie Piwigo';
 $lang['About'] = 'Apie';
-$lang['All tags'] = "Visos &#382;ymos";
-$lang['Any tag'] = "Betkokia &#382;yma";
-$lang['At least one listed rule must be satisfied.'] = "Bent vienas i&#352; i&#352;vardyt&#371; kriterij&#371;, turi b&#363;ti patenkintas.";
+$lang['All tags'] = 'Visos žymos';
+$lang['Any tag'] = 'Betkokia žyma';
+$lang['At least one listed rule must be satisfied.'] = 'Bent vienas iŠ iŠvardytų kriterijų, turi būti patenkintas.';
 $lang['At least one tag must match'] = "Turi atitikti bent vien&#260; &#382;ym&#281;";
 $lang['Author'] = "Autorius";
@@ -70,14 +70,14 @@
 $lang['Categories'] = "Kategorijos";
 $lang['Category'] = "Kategorija";
-$lang['Close this window'] = "U&#382;daryti &#352;it&#260; lang&#260;";
+$lang['Close this window'] = 'Uždaryti ŠitĄ langĄ';
 $lang['Complete RSS feed (images, comments)'] = "Baigta RSS feed (nuotraukos, komentarai)";
-$lang['Confirm Password'] = "Pakartokite slapta&#382;od&#303;";
+$lang['Confirm Password'] = 'Pakartokite slaptažodį';
 $lang['Connection settings'] = "Prisijungimo nustatymai";
 $lang['Login'] = "Prisijungti";
 $lang['Contact webmaster'] = "Susisiekti su administratoriumi";
-$lang['Create a new account'] = "Sukurti nauj&#261; paskyr&#261;";
+$lang['Create a new account'] = 'Sukurti naują paskyrą';
 $lang['Created on'] = "Sukurta";
 $lang['Creation date'] = "Sukurimo data";
-$lang['Current password is wrong'] = "Blogas slapta&#382;odis";
+$lang['Current password is wrong'] = 'Blogas slaptažodis';
 $lang['Dimensions'] = "Matmenys";
 $lang['Display'] = "Parodyti";
@@ -152,5 +152,5 @@
 $lang['posted between %s (%s) and %s (%s)'] = "paskelbta tarp %s (%s) ir %s (%s)";
 $lang['posted on %s'] = "paskelbta %s";
-$lang['Best rated'] = "Geriausia &#303;vertintos";
+$lang['Best rated'] = 'Geriausia įvertintos';
 $lang['display best rated items'] = "rodyti geriausia &#303;vertintas nuotraukas";
 $lang['caddie'] = "Krep&#352;elis";
@@ -162,14 +162,14 @@
 $lang['chronology_monthly_list'] = "M&#279;nesio s&#260;ra&#352;as";
 $lang['chronology_weekly_list'] = "Savait&#279;s s&#260;ra&#352;as";
-$lang['Click here if your browser does not automatically forward you'] = "Spauskite &#269;ia, jei j&#363;s&#371; nar&#352;ykl&#279; neu&#382;krov&#279; automati&#352;kai";
+$lang['Click here if your browser does not automatically forward you'] = 'Spauskite čia, jei jūsų narŠyklė neužkrovė automatiŠkai';
 $lang['comment date'] = "pakomentavo";
 $lang['Comment'] = "Komentuoti";
 $lang['Your comment has been registered'] = "Tavo komentaras u&#382;registruotas";
-$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = "Anti-flood sistema: pra&#352;ome š&#352;iek tiek palaukti prie&#352; bandant ra&#352;yti kit&#260; komentar&#260;";
+$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Anti-flood sistema: praŠome šŠiek tiek palaukti prieŠ bandant raŠyti kitĄ komentarĄ';
 $lang['Your comment has NOT been registered because it did not pass the validation rules'] = "J&#363;s&#371; komentaras nebuvo u&#382;registruotas, nes neatitiko komentavimo taisykli&#371;";
-$lang['An administrator must authorize your comment before it is visible.'] = "Administratorius privalo patvirtinti tavo komentar&#260;, kol jis tampa matomas.";
+$lang['An administrator must authorize your comment before it is visible.'] = 'Administratorius privalo patvirtinti tavo komentarĄ, kol jis tampa matomas.';
 $lang['This login is already used by another user'] = "&#352;is prisijungimo vardas jau naudojamas";
 $lang['Comments'] = "Komentarai";
-$lang['Add a comment'] = "Ra&#353;yti komentar&#261;";
+$lang['Add a comment'] = 'Rašyti komentarą';
 $lang['created after %s (%s)'] = "sukurtas po %s (%s)";
 $lang['created before %s (%s)'] = "sukurtas prie&#353; %s (%s)";
@@ -187,5 +187,5 @@
 $lang['Default'] = "Numatyta";
 $lang['delete this image from your favorites'] = "i&#353;trinti &#353;i&#261; nuotrauk&#261; i&#353; megstamiausi&#371; s&#261;ra&#353;o";
-$lang['Delete'] = "I&#353;trinti";
+$lang['Delete'] = 'Ištrinti';
 $lang['descending'] = "ma&#382;&#279;jan&#269;ia";
 $lang['download'] = "si&#371;stis";
@@ -326,7 +326,7 @@
 $lang['useful when password forgotten'] = "naudinga tuo atveju, jei slapta&#382;odi pamir&#352;ote";
 $lang['Quick search'] = "Greita paieska";
-$lang['Connected user: %s'] = "Prisijung&#281; vartotojai: %s";
+$lang['Connected user: %s'] = 'Prisijungę vartotojai: %s';
 $lang['IP: %s'] = "IP: %s";
-$lang['Browser: %s'] = "Nar&#352;ykl&#279;: %s";
+$lang['Browser: %s'] = 'NarŠyklė: %s';
 $lang['Author: %s'] = "Autorius: %s";
 $lang['Comment: %s'] = "Komentaras: %s";
@@ -341,5 +341,5 @@
 $lang['Waiting page: %s'] = "Laukia puslapio: %s";
 $lang['Picture uploaded by %s'] = "Nuotrauk&#261; ik&#279;l&#279; %s";
-$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = "Blogas vartotojo statusas \"guest\", numatytoji busena bus naudojama. Pra&#352;ome prane&#352;ti apie tai administratoriui.";
+$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Blogas vartotojo statusas "guest", numatytoji busena bus naudojama. PraŠome praneŠti apie tai administratoriui.';
 $lang['Administrator, webmaster and special user cannot use this method'] = "Tik administratorius, moderatorius ir specialus vartotojai gali naudoti &#352;&#303; metod&#261;";
 $lang['a user use already this mail address'] = "Kitas narys jau vartoja &#352;&#303; elektronin&#303; pa&#352;to adres&#261;";
@@ -352,5 +352,5 @@
 $lang['Not repeat the slideshow'] = "Nekartoti nuotrauk&#371;";
 $lang['Reduce diaporama speed'] = "Sul&#279;tinti perjungim&#261;";
-$lang['Accelerate diaporama speed'] = "Pagreitinti perjungim&#261;";
+$lang['Accelerate diaporama speed'] = 'Pagreitinti perjungimą';
 $lang['Submit'] = "Patvirtinti";
 $lang['Yes'] = "Taip";
@@ -372,5 +372,5 @@
 $lang['delete all images from your favorites'] = "i&#352;trinti visas nuotraukas i&#352; m&#279;gstamiausi&#371;";
 $lang['Sent by'] = "I&#352;si&#363;sta";
-$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = "Slapukai yra blokuojami arba nepalaikomi j&#363;s&#371; nar&#352;ykl&#279;je. J&#363;s turite &#303;galinti slapukus prisijungdami";
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Slapukai yra blokuojami arba nepalaikomi jūsų narŠyklėje. Jūs turite įgalinti slapukus prisijungdami';
 
 $lang['Some info about this picture'] = "Informacija apie &#352;i&#261; nuotrauk&#261;";