Index: /extensions/flickr2piwigo/admin/import.php
===================================================================
--- /extensions/flickr2piwigo/admin/import.php	(revision 18910)
+++ /extensions/flickr2piwigo/admin/import.php	(revision 18911)
@@ -62,5 +62,5 @@
   case 'logued':
   {
-    $_SESSION['page_infos'][] = l10n('Successfully logued to you Flickr account');
+    $_SESSION['page_infos'][] = l10n('Successfully logged in to you Flickr account');
     redirect(FLICKR_ADMIN . '-import');
     break;
@@ -71,5 +71,5 @@
   {
     unset($_SESSION['phpFlickr_auth_token']);
-    $_SESSION['page_infos'][] = l10n('Logued out');
+    $_SESSION['page_infos'][] = l10n('Logged out');
     redirect(FLICKR_ADMIN . '-import');
     break;
Index: /extensions/flickr2piwigo/admin/template/import.tpl
===================================================================
--- /extensions/flickr2piwigo/admin/template/import.tpl	(revision 18910)
+++ /extensions/flickr2piwigo/admin/template/import.tpl	(revision 18911)
@@ -21,5 +21,5 @@
 
 <p>
-  <b>{'Logued as'|@translate}</b> : <a href="{$profile_url}" target="_blank">{$username}</a><br><br>
+  <b>{'Logged in as'|@translate}</b> : <a href="{$profile_url}" target="_blank">{$username}</a><br><br>
   <input type="submit" data="{$logout_url}" value="{'Logout'|@translate}">
 </p>
Index: /extensions/flickr2piwigo/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/flickr2piwigo/language/cs_CZ/plugin.lang.php	(revision 18910)
+++ /extensions/flickr2piwigo/language/cs_CZ/plugin.lang.php	(revision 18911)
@@ -39,5 +39,5 @@
 $lang['List my albums'] = 'Vypsat má alba';
 $lang['List pictures of this album'] = 'Vypsat obrázky tohoto alba';
-$lang['Logued as'] = 'Přihlášen jako';
+$lang['Logged in as'] = 'Přihlášen jako';
 $lang['No download method available'] = 'Není k dispozici žádný způsob stahování';
 $lang['One picture is not displayed because already existing in the database.'] = 'Jeden obrázek není zobrazen, protože už je v databázi.';
@@ -47,7 +47,7 @@
 $lang['Processing...'] = 'Zpracovávání...';
 $lang['Reproduce flickr albums'] = 'Vytvořit Flickr alba';
-$lang['Successfully logued to you Flickr account'] = 'Přiglášení na účet Flickr úspěšné';
+$lang['Successfully logged in to you Flickr account'] = 'Přiglášení na účet Flickr úspěšné';
 $lang['%d elements ready for importation'] = '%d elementů připravených k importování';
-$lang['Logued out'] = 'odhlášen';
+$lang['Logged out'] = 'odhlášen';
 $lang['Photo "%s" imported'] = 'Fotka "%s" importována';
 ?>
Index: /extensions/flickr2piwigo/language/da_DK/plugin.lang.php
===================================================================
--- /extensions/flickr2piwigo/language/da_DK/plugin.lang.php	(revision 18910)
+++ /extensions/flickr2piwigo/language/da_DK/plugin.lang.php	(revision 18911)
@@ -21,5 +21,5 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['Logued out'] = 'Logget ud';
+$lang['Logged out'] = 'Logget ud';
 $lang['No download method available'] = 'Ingen downloadmetode til rådighed';
 $lang['One picture is not displayed because already existing in the database.'] = 'Et billede vises ikke, fordi det allerede findes i databasen.';
@@ -30,5 +30,5 @@
 $lang['Processing...'] = 'Behandler ...';
 $lang['Reproduce flickr albums'] = 'Reproducere Flickr-album';
-$lang['Successfully logued to you Flickr account'] = 'Loggede på din Flickr-konto';
+$lang['Successfully logged in to you Flickr account'] = 'Loggede på din Flickr-konto';
 $lang['%d albums'] = '%d album';
 $lang['%d elements ready for importation'] = '%d elementer klar til import';
@@ -50,4 +50,4 @@
 $lang['List my albums'] = 'Liste over mine albums';
 $lang['List pictures of this album'] = 'List billeder i dette album';
-$lang['Logued as'] = 'Logget som';
+$lang['Logged in as'] = 'Logget som';
 ?>
Index: /extensions/flickr2piwigo/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/flickr2piwigo/language/de_DE/plugin.lang.php	(revision 18910)
+++ /extensions/flickr2piwigo/language/de_DE/plugin.lang.php	(revision 18911)
@@ -39,5 +39,5 @@
 $lang['Flickr logins'] = 'Flickr Login´s';
 $lang['How do I get my Flickr API key?'] = 'Wie bekomme ich meinen Flickr API Schlüssel?';
-$lang['Logued as'] = 'Login als';
+$lang['Logged in as'] = 'Login als';
 $lang['No download method available'] = 'Keine Download Methode verfügbar';
 $lang['One picture is not displayed because already existing in the database.'] = 'Bild wird nicht angezeigt, existiert schon in der Datenbank';
@@ -47,7 +47,7 @@
 $lang['Processing...'] = 'Verarbeitung...';
 $lang['Reproduce flickr albums'] = 'Flickr Album abbilden';
-$lang['Successfully logued to you Flickr account'] = 'Erfolgreich beim Flickr Konto eingeloggt ';
+$lang['Successfully logged in to you Flickr account'] = 'Erfolgreich beim Flickr Konto eingeloggt ';
 $lang['%d elements ready for importation'] = '%d Elemente fertig zum Import';
-$lang['Logued out'] = 'Aus-gelockt ';
+$lang['Logged out'] = 'Aus-gelockt ';
 $lang['Photo "%s" imported'] = '"%s" Bilder importiert';
 ?>
Index: /extensions/flickr2piwigo/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/flickr2piwigo/language/el_GR/plugin.lang.php	(revision 18910)
+++ /extensions/flickr2piwigo/language/el_GR/plugin.lang.php	(revision 18911)
@@ -39,5 +39,5 @@
 $lang['List my albums'] = 'Εμφάνισε τα άλμπουμ μου';
 $lang['List pictures of this album'] = 'Εμφάνισε φωτογραφίες αυτού του λευκώματος';
-$lang['Logued as'] = 'Καταγράφηκε ως';
+$lang['Logged in as'] = 'Καταγράφηκε ως';
 $lang['No download method available'] = 'Δεν υπάρχει μέθοδος λήψης διαθέσιμη';
 $lang['One picture is not displayed because already existing in the database.'] = 'Μια εικόνα δεν εμφανίζεται επειδή υπάρχει ήδη στην βάση δεδομένων.';
@@ -47,7 +47,7 @@
 $lang['Processing...'] = 'Επεξεργασία ...';
 $lang['Reproduce flickr albums'] = 'Αναπαραγωγή λευκώματος flickr ';
-$lang['Successfully logued to you Flickr account'] = 'Συνδεθήκατε επιτυχώς στο Flickr λογαριασμό σας';
+$lang['Successfully logged in to you Flickr account'] = 'Συνδεθήκατε επιτυχώς στο Flickr λογαριασμό σας';
 $lang['%d elements ready for importation'] = '%d στοιχεία έτοιμα για την εισαγωγή';
 $lang['Photo "%s" imported'] = 'Η Φωτογραφία "%s" έχει εισαχθεί ';
-$lang['Logued out'] = 'Αποθηκεύτηκε ';
+$lang['Logged out'] = 'Αποθηκεύτηκε ';
 ?>
Index: /extensions/flickr2piwigo/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/flickr2piwigo/language/en_UK/plugin.lang.php	(revision 18910)
+++ /extensions/flickr2piwigo/language/en_UK/plugin.lang.php	(revision 18911)
@@ -2,5 +2,5 @@
 
 $lang['Please fill your API keys on the configuration tab'] = 'Please fill your API keys on the configuration tab';
-$lang['Successfully logued to you Flickr account'] = 'Successfully logued to you Flickr account';
+$lang['Successfully logged in to you Flickr account'] = 'Successfully logged in to you Flickr account';
 $lang['Pictures without album'] = 'Pictures without album';
 $lang['One picture is not displayed because already existing in the database.'] = 'One picture is not displayed because already existing in the database.';
@@ -28,6 +28,6 @@
 $lang['Open Flickr page in a new tab'] = 'Open Flickr page in a new tab';
 $lang['No download method available'] = 'No download method available';
-$lang['Logued as'] = 'Logued as';
-$lang['Logued out'] = 'Logued out';
+$lang['Logged in as'] = 'Logged in as';
+$lang['Logged out'] = 'Logged out';
 $lang['%d elements ready for importation'] = '%d elements ready for importation';
 
Index: /extensions/flickr2piwigo/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/flickr2piwigo/language/es_ES/plugin.lang.php	(revision 18910)
+++ /extensions/flickr2piwigo/language/es_ES/plugin.lang.php	(revision 18911)
@@ -39,5 +39,5 @@
 $lang['List my albums'] = 'Enumerar mis álbumes';
 $lang['List pictures of this album'] = 'Enumerar imágenes de este álbum';
-$lang['Logued as'] = 'Registrado como';
+$lang['Logged in as'] = 'Registrado como';
 $lang['No download method available'] = 'Ningún método disponible de descarga';
 $lang['One picture is not displayed because already existing in the database.'] = 'Una imagen no se muestra porque ya existentes en la base de datos.';
@@ -47,7 +47,7 @@
 $lang['Processing...'] = 'Procesando...';
 $lang['Reproduce flickr albums'] = 'Reproducir álbumes de flickr';
-$lang['Successfully logued to you Flickr account'] = 'Logueado con éxito en su cuenta de Flickr';
+$lang['Successfully logged in to you Flickr account'] = 'Logueado con éxito en su cuenta de Flickr';
 $lang['%d elements ready for importation'] = '%d elementos listos para importar';
-$lang['Logued out'] = 'Sesión cerrada';
+$lang['Logged out'] = 'Sesión cerrada';
 $lang['Photo "%s" imported'] = 'Foto "%s" importada';
 ?>
Index: /extensions/flickr2piwigo/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/flickr2piwigo/language/fr_FR/plugin.lang.php	(revision 18910)
+++ /extensions/flickr2piwigo/language/fr_FR/plugin.lang.php	(revision 18911)
@@ -2,5 +2,5 @@
 
 $lang['Please fill your API keys on the configuration tab'] = 'Veuillez renseigner votre clé d\'API sur l\'écran de configuration';
-$lang['Successfully logued to you Flickr account'] = 'Connecté à votre compte Flickr';
+$lang['Successfully logged in to you Flickr account'] = 'Connecté à votre compte Flickr';
 $lang['Pictures without album'] = 'Photos sans album';
 $lang['One picture is not displayed because already existing in the database.'] = 'Une photo n\'est pas affichée car elle existe déjà sur la galerie';
@@ -28,6 +28,6 @@
 $lang['Open Flickr page in a new tab'] = 'Ouvrir la page Flickr dans un nouvel onglet';
 $lang['No download method available'] = 'Aucune méthode de téléchargement n\'est disponible';
-$lang['Logued as'] = 'Indentifié en tant que';
-$lang['Logued out'] = 'Déconnecté';
+$lang['Logged in as'] = 'Indentifié en tant que';
+$lang['Logged out'] = 'Déconnecté';
 $lang['%d elements ready for importation'] = '%d elements prêts à l\'importation';
 
Index: /extensions/flickr2piwigo/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/flickr2piwigo/language/hu_HU/plugin.lang.php	(revision 18910)
+++ /extensions/flickr2piwigo/language/hu_HU/plugin.lang.php	(revision 18911)
@@ -22,6 +22,6 @@
 // +-----------------------------------------------------------------------+
 $lang['One picture is not displayed because already existing in the database.'] = 'Egy kép nem látható, mert már létezik az adatbázisban.';
-$lang['Logued as'] = 'Bejelentkzeve, mint';
-$lang['Logued out'] = 'Kijelentkezve';
+$lang['Logged in as'] = 'Bejelentkzeve, mint';
+$lang['Logged out'] = 'Kijelentkezve';
 $lang['No download method available'] = 'Nincs használható letöltési módszer';
 $lang['Open Flickr page in a new tab'] = 'Flickr oldal megnyitása egy új fülben';
@@ -31,5 +31,5 @@
 $lang['Processing...'] = 'Feldolgozás folyamatban...';
 $lang['Reproduce flickr albums'] = 'Flickr albumok lemásolása';
-$lang['Successfully logued to you Flickr account'] = 'Sikeresen bejelentkezve a Flickr fiókodba';
+$lang['Successfully logged in to you Flickr account'] = 'Sikeresen bejelentkezve a Flickr fiókodba';
 $lang['Callback URL'] = 'Visszahívási URL';
 $lang['Fill these fields from Flickr datas'] = 'Ezeket a mezőket a Flickr adatokkal töltsd fel';
Index: /extensions/flickr2piwigo/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/flickr2piwigo/language/it_IT/plugin.lang.php	(revision 18910)
+++ /extensions/flickr2piwigo/language/it_IT/plugin.lang.php	(revision 18911)
@@ -39,5 +39,5 @@
 $lang['List my albums'] = 'Lista dei miei albums';
 $lang['List pictures of this album'] = 'Elenco immagini di questo album';
-$lang['Logued as'] = 'Iscritto come';
+$lang['Logged in as'] = 'Iscritto come';
 $lang['No download method available'] = 'Nessun metodo di download disponibile';
 $lang['One picture is not displayed because already existing in the database.'] = 'Una immagine non viene visualizzata perché già esistente nel database.';
@@ -47,7 +47,7 @@
 $lang['Processing...'] = 'Elaborazione...';
 $lang['Reproduce flickr albums'] = 'Riproduci gli album flickr';
-$lang['Successfully logued to you Flickr account'] = 'Accesso al tuo account Flickr riuscito';
+$lang['Successfully logged in to you Flickr account'] = 'Accesso al tuo account Flickr riuscito';
 $lang['%d elements ready for importation'] = '%d elementi sono pronti per essere importati';
 $lang['Photo "%s" imported'] = 'La foto "%s" è stata importata';
-$lang['Logued out'] = 'Disconnesso';
+$lang['Logged out'] = 'Disconnesso';
 ?>
Index: /extensions/flickr2piwigo/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/flickr2piwigo/language/lv_LV/plugin.lang.php	(revision 18910)
+++ /extensions/flickr2piwigo/language/lv_LV/plugin.lang.php	(revision 18911)
@@ -39,5 +39,5 @@
 $lang['List my albums'] = 'Sastādīt manu albūmu sarakstu';
 $lang['List pictures of this album'] = 'Sastādīt šā albūma attēlu sarakstu';
-$lang['Logued as'] = 'Pieteicies kā';
+$lang['Logged in as'] = 'Pieteicies kā';
 $lang['No download method available'] = 'Lejupielādes metodes nav pieejamas';
 $lang['One picture is not displayed because already existing in the database.'] = 'Attēls netika parādīts, jo datubāzē jau tāds eksistē';
@@ -47,6 +47,6 @@
 $lang['Processing...'] = 'Apstrāde...';
 $lang['Reproduce flickr albums'] = 'Reproducēt Flickr albūmus';
-$lang['Successfully logued to you Flickr account'] = 'Esat veiksmīgi pieteikušies savā Flickr kontā';
-$lang['Logued out'] = 'Izgājis no sistēmas';
+$lang['Successfully logged in to you Flickr account'] = 'Esat veiksmīgi pieteikušies savā Flickr kontā';
+$lang['Logged out'] = 'Izgājis no sistēmas';
 $lang['Photo "%s" imported'] = 'Importēts "%s" fotogrāfiju';
 $lang['%d elements ready for importation'] = '%d elementi gatavi importam';
Index: /extensions/flickr2piwigo/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/flickr2piwigo/language/nl_NL/plugin.lang.php	(revision 18910)
+++ /extensions/flickr2piwigo/language/nl_NL/plugin.lang.php	(revision 18911)
@@ -39,5 +39,5 @@
 $lang['List my albums'] = 'Maak een lijst met mijn albums';
 $lang['List pictures of this album'] = 'Maak een lijst met afbeeldingen van dit album';
-$lang['Logued as'] = 'Ingelogd als';
+$lang['Logged in as'] = 'Ingelogd als';
 $lang['No download method available'] = 'Geen download aanpak voorhanden';
 $lang['One picture is not displayed because already existing in the database.'] = 'Een afbeelding wordt niet getoond omdat het al in de database aanwezig is.';
@@ -47,7 +47,7 @@
 $lang['Processing...'] = 'Bewerken ...';
 $lang['Reproduce flickr albums'] = 'Reproduceer Flickr albums';
-$lang['Successfully logued to you Flickr account'] = 'Succesvol ingelogd in Flickr ';
+$lang['Successfully logged in to you Flickr account'] = 'Succesvol ingelogd in Flickr ';
 $lang['%d elements ready for importation'] = '%d onderdelen klaar voor import';
-$lang['Logued out'] = 'Uitgelogd ';
+$lang['Logged out'] = 'Uitgelogd ';
 $lang['Photo "%s" imported'] = 'Foto "%d" geïmporteerd';
 ?>
Index: /extensions/flickr2piwigo/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/flickr2piwigo/language/pl_PL/plugin.lang.php	(revision 18910)
+++ /extensions/flickr2piwigo/language/pl_PL/plugin.lang.php	(revision 18911)
@@ -39,5 +39,5 @@
 $lang['List my albums'] = 'Wyświetl albumy';
 $lang['List pictures of this album'] = 'Wyświetl zdjęcia z tego albumu';
-$lang['Logued as'] = 'Zalogowany jako';
+$lang['Logged in as'] = 'Zalogowany jako';
 $lang['No download method available'] = 'Niedostępna żadna metoda pobierania';
 $lang['One picture is not displayed because already existing in the database.'] = 'Jedno zdjęcie nie zostało wyświetlone ponieważ istnieje już w bazie';
@@ -47,7 +47,7 @@
 $lang['Processing...'] = 'Przetwarzanie...';
 $lang['Reproduce flickr albums'] = 'Odbuduj albumy Flickr';
-$lang['Successfully logued to you Flickr account'] = 'Udane logowanie do Flickr';
+$lang['Successfully logged in to you Flickr account'] = 'Udane logowanie do Flickr';
 $lang['%d elements ready for importation'] = '%d elementów gotowych do importu';
-$lang['Logued out'] = 'Wylogowano';
+$lang['Logged out'] = 'Wylogowano';
 $lang['Photo "%s" imported'] = 'Zdjęcie "%s" zaimportowane';
 ?>
Index: /extensions/flickr2piwigo/language/pt_BR/plugin.lang.php
===================================================================
--- /extensions/flickr2piwigo/language/pt_BR/plugin.lang.php	(revision 18910)
+++ /extensions/flickr2piwigo/language/pt_BR/plugin.lang.php	(revision 18911)
@@ -21,5 +21,5 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['Logued out'] = 'Deslogar';
+$lang['Logged out'] = 'Deslogar';
 $lang['No download method available'] = 'Nenhum método de download disponível';
 $lang['One picture is not displayed because already existing in the database.'] = 'Uma foto não foi mostrada porque já existe no banco de dados';
@@ -30,5 +30,5 @@
 $lang['Processing...'] = 'Processando...';
 $lang['Reproduce flickr albums'] = 'Reproduza álbuns do Flickr';
-$lang['Successfully logued to you Flickr account'] = 'Logado com sucesso na sua conta do Flickr';
+$lang['Successfully logged in to you Flickr account'] = 'Logado com sucesso na sua conta do Flickr';
 $lang['%d albums'] = '%d albuns';
 $lang['%d elements ready for importation'] = '%d elementos prontos para importação';
@@ -50,4 +50,4 @@
 $lang['List my albums'] = 'Lista meus álbuns';
 $lang['List pictures of this album'] = 'Lista fotos nesse álbum';
-$lang['Logued as'] = 'Logado como';
+$lang['Logged in as'] = 'Logado como';
 ?>
Index: /extensions/flickr2piwigo/language/pt_PT/plugin.lang.php
===================================================================
--- /extensions/flickr2piwigo/language/pt_PT/plugin.lang.php	(revision 18910)
+++ /extensions/flickr2piwigo/language/pt_PT/plugin.lang.php	(revision 18911)
@@ -39,5 +39,5 @@
 $lang['List my albums'] = 'Listar os meus albuns';
 $lang['List pictures of this album'] = 'Listar fotos deste album';
-$lang['Logued as'] = 'Entrou como';
+$lang['Logged in as'] = 'Entrou como';
 $lang['No download method available'] = 'Não existe qualquer metodo de descarga';
 $lang['One picture is not displayed because already existing in the database.'] = 'uma foto não é mostrada dado já existir na base de dados';
@@ -47,7 +47,7 @@
 $lang['Processing...'] = 'Processando...';
 $lang['Reproduce flickr albums'] = 'Reproduzir albuns Flickr';
-$lang['Successfully logued to you Flickr account'] = 'Entrou com sucesso na sua conta Flickr';
+$lang['Successfully logged in to you Flickr account'] = 'Entrou com sucesso na sua conta Flickr';
 $lang['%d elements ready for importation'] = '%d elementos prontos para a importação ';
-$lang['Logued out'] = 'Saiu';
+$lang['Logged out'] = 'Saiu';
 $lang['Photo "%s" imported'] = 'Importadas  "%s" fotos';
 ?>
Index: /extensions/flickr2piwigo/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/flickr2piwigo/language/ru_RU/plugin.lang.php	(revision 18910)
+++ /extensions/flickr2piwigo/language/ru_RU/plugin.lang.php	(revision 18911)
@@ -39,5 +39,5 @@
 $lang['List my albums'] = 'Список моих альбомов';
 $lang['List pictures of this album'] = 'Список фотографий альбома';
-$lang['Logued as'] = 'Авторизован как';
+$lang['Logged in as'] = 'Авторизован как';
 $lang['No download method available'] = 'Нет доступного метода загрузки';
 $lang['One picture is not displayed because already existing in the database.'] = 'Некоторые картинки не отображается, так как уже существуют в базе данных.';
@@ -47,7 +47,7 @@
 $lang['Processing...'] = 'Обработка ...';
 $lang['Reproduce flickr albums'] = 'Воспроизведение альбомов Flickr';
-$lang['Successfully logued to you Flickr account'] = 'Вы успешно вошли в свою учетную запись';
+$lang['Successfully logged in to you Flickr account'] = 'Вы успешно вошли в свою учетную запись';
 $lang['%d elements ready for importation'] = '%d элементов готово к импорту';
-$lang['Logued out'] = 'Выход';
+$lang['Logged out'] = 'Выход';
 $lang['Photo "%s" imported'] = 'Фото "%s" импортировано';
 ?>
Index: /extensions/flickr2piwigo/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/flickr2piwigo/language/sk_SK/plugin.lang.php	(revision 18910)
+++ /extensions/flickr2piwigo/language/sk_SK/plugin.lang.php	(revision 18911)
@@ -39,5 +39,5 @@
 $lang['List my albums'] = 'Zoznam mojich albumov';
 $lang['List pictures of this album'] = 'Zoznam fotiek tohto albumu';
-$lang['Logued as'] = 'Prihlásený ako';
+$lang['Logged in as'] = 'Prihlásený ako';
 $lang['No download method available'] = 'Nedostupná sťahovacia metóda';
 $lang['One picture is not displayed because already existing in the database.'] = 'Jedna fotka nie je zobrazená ale je v databáze.';
@@ -47,7 +47,7 @@
 $lang['Processing...'] = 'Spracovávam...';
 $lang['Reproduce flickr albums'] = 'Reprodukovať flickr albumy';
-$lang['Successfully logued to you Flickr account'] = 'Úspešne prihlásený do Vášho Flickr konta';
+$lang['Successfully logged in to you Flickr account'] = 'Úspešne prihlásený do Vášho Flickr konta';
 $lang['%d elements ready for importation'] = '%d prvky/prvkov pripravených pre import';
-$lang['Logued out'] = 'Odhlásený';
+$lang['Logged out'] = 'Odhlásený';
 $lang['Photo "%s" imported'] = 'Fotka %d importovaná';
 ?>
Index: /extensions/flickr2piwigo/language/th_TH/plugin.lang.php
===================================================================
--- /extensions/flickr2piwigo/language/th_TH/plugin.lang.php	(revision 18910)
+++ /extensions/flickr2piwigo/language/th_TH/plugin.lang.php	(revision 18911)
@@ -24,5 +24,5 @@
 $lang['List my albums'] = 'รายชื่ออัลบั้มของฉัน';
 $lang['Import options'] = 'ตัวเลือกการนำเข้า';
-$lang['Logued as'] = 'เข้าสู่ระบบโดย';
+$lang['Logged in as'] = 'เข้าสู่ระบบโดย';
 $lang['API secret'] = 'API secret';
 $lang['API key'] = 'API key';
Index: /extensions/flickr2piwigo/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/flickr2piwigo/language/tr_TR/plugin.lang.php	(revision 18910)
+++ /extensions/flickr2piwigo/language/tr_TR/plugin.lang.php	(revision 18911)
@@ -39,5 +39,5 @@
 $lang['List my albums'] = 'Albümlerimi listele';
 $lang['List pictures of this album'] = 'Bu albümdeki resimleri listele';
-$lang['Logued as'] = 'Oturum açan:';
+$lang['Logged in as'] = 'Oturum açan:';
 $lang['No download method available'] = 'İndirme yöntemi mevcut değil';
 $lang['One picture is not displayed because already existing in the database.'] = 'Mevcut veri tabanında zaten bulunduğundan bir resim gösterilmedi.';
@@ -47,7 +47,7 @@
 $lang['Processing...'] = 'İşleniyor...';
 $lang['Reproduce flickr albums'] = 'Flickr albümlerini yeniden üret';
-$lang['Successfully logued to you Flickr account'] = 'Flickr \'de başarılı olarak oturum açıldı.';
+$lang['Successfully logged in to you Flickr account'] = 'Flickr \'de başarılı olarak oturum açıldı.';
 $lang['%d elements ready for importation'] = 'İçe aktarmak için %d öğe hazır';
-$lang['Logued out'] = 'Oturum kapatıldı';
+$lang['Logged out'] = 'Oturum kapatıldı';
 $lang['Photo "%s" imported'] = '"%s" fotoğraf içe aktarıldı.';
 ?>
Index: /extensions/flickr2piwigo/language/uk_UA/plugin.lang.php
===================================================================
--- /extensions/flickr2piwigo/language/uk_UA/plugin.lang.php	(revision 18910)
+++ /extensions/flickr2piwigo/language/uk_UA/plugin.lang.php	(revision 18911)
@@ -26,5 +26,5 @@
 $lang['Processing...'] = 'Обробка...';
 $lang['Reproduce flickr albums'] = 'Відтворити flickr альбоми';
-$lang['Successfully logued to you Flickr account'] = 'Успішно увійшли до вашого облікового запису Flickr';
+$lang['Successfully logged in to you Flickr account'] = 'Успішно увійшли до вашого облікового запису Flickr';
 $lang['(%d photos)'] = '(%d зображень)';
 $lang['API key'] = 'Ключ API';
@@ -41,5 +41,5 @@
 $lang['List my albums'] = 'Список моїх альбомів';
 $lang['List pictures of this album'] = 'Список зображень цього альбому';
-$lang['Logued as'] = 'Залоґінений як';
+$lang['Logged in as'] = 'Залоґінений як';
 $lang['No download method available'] = 'Немає доступних методів завантаження';
 $lang['Open Flickr page in a new tab'] = 'Відкрити сторінку Flickr в новій вкладці';
@@ -50,4 +50,4 @@
 $lang['%d elements ready for importation'] = '%d елементів готові для імпортування';
 $lang['Photo "%s" imported'] = 'Зображення "%s" імпортовано';
-$lang['Logued out'] = 'Вихід';
+$lang['Logged out'] = 'Вихід';
 ?>
Index: /extensions/flickr2piwigo/language/zh_CN/plugin.lang.php
===================================================================
--- /extensions/flickr2piwigo/language/zh_CN/plugin.lang.php	(revision 18910)
+++ /extensions/flickr2piwigo/language/zh_CN/plugin.lang.php	(revision 18911)
@@ -21,6 +21,6 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['Logued as'] = '登录为';
-$lang['Logued out'] = '登出';
+$lang['Logged in as'] = '登录为';
+$lang['Logged out'] = '登出';
 $lang['List my albums'] = '列出我的相册';
 $lang['List pictures of this album'] = '列出此相册中的图片';
@@ -33,5 +33,5 @@
 $lang['Processing...'] = '处理中...';
 $lang['Reproduce flickr albums'] = '复制Flickr相册';
-$lang['Successfully logued to you Flickr account'] = '已成功登录到您的Flickr相册';
+$lang['Successfully logged in to you Flickr account'] = '已成功登录到您的Flickr相册';
 $lang['(%d photos)'] = '(%d张图片)';
 $lang['API key'] = 'API key';